Page MenuHomePhabricator

"index-pack failed" when installing new MediaWiki-Vagrant box
Closed, ResolvedPublic

Description

==> default: Notice: /Stage[main]/Mediawiki/Git::Clone[mediawiki/core]/Exec[git_clone_mediawiki/core]/returns: Cloning into '/vagrant/mediawiki'...
==> default: Notice: /Stage[main]/Mediawiki/Git::Clone[mediawiki/core]/Exec[git_clone_mediawiki/core]/returns: error: RPC failed; result=56, HTTP code = 200
==> default: Notice: /Stage[main]/Mediawiki/Git::Clone[mediawiki/core]/Exec[git_clone_mediawiki/core]/returns: fatal: The remote end hung up unexpectedly
==> default: Notice: /Stage[main]/Mediawiki/Git::Clone[mediawiki/core]/Exec[git_clone_mediawiki/core]/returns: fatal: early EOF
==> default: Notice: /Stage[main]/Mediawiki/Git::Clone[mediawiki/core]/Exec[git_clone_mediawiki/core]/returns: fatal: index-pack failed
==> default: Error: /usr/bin/git clone --recurse-submodules   https://gerrit.wikimedia.org/r/p/mediawiki/core.git /vagrant/mediawiki returned 128 instead of one of [0]
==> default: Error: /Stage[main]/Mediawiki/Git::Clone[mediawiki/core]/Exec[git_clone_mediawiki/core]/returns: change from notrun to 0 failed: /usr/bin/git clone --recurse-submodules   https://gerrit.wikimedia.org/r/p/mediawiki/core.git /vagrant/mediawiki returned 128 instead of one of [0]

Workaround: vagrant hiera mediawiki::git_depth 1
(Maybe) better workaround: edit puppet/modules/mediawiki/manifests/init.pp line 92-ish, change http.postBuffer=1048576000 to something larger (such as x2), raise memory with something like vagrant config vagrant_ram 3128

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

Change 328591 abandoned by Gergő Tisza:
[TEST]

Reason:
For the record, this was done to verify that git-review does not unshallow a shallow clone. This might depend on the git version (I used 2.7.4) as pre-1.9 there were more limitations although in theory pushing and pulls that fast-forward on top of the current revision were not amongst them.

https://gerrit.wikimedia.org/r/328591

Change 328617 had a related patch set uploaded (by Gergő Tisza):
Make mediawiki/core cloning shallow by default

https://gerrit.wikimedia.org/r/328617

Change 328617 merged by jenkins-bot:
Make mediawiki/core cloning shallow by default

https://gerrit.wikimedia.org/r/328617

hashar added a subscriber: hashar.Dec 22 2016, 9:30 AM

I have dig in Gerrit server side logs, and just before Bryan message from Dec 20th 3:20am UTC:

[2016-12-20 03:01:04,202] WARN  /r : Internal error during upload-pack from /srv/gerrit/git/mediawiki/core.git
org.eclipse.jgit.errors.MissingObjectException: Missing commit 54d20828bb8be210c6c0269137f3d75f518b656b
        at org.eclipse.jgit.internal.storage.file.WindowCursor.open(WindowCursor.java:159)
        at org.eclipse.jgit.revwalk.RevWalk.getCachedBytes(RevWalk.java:903)
        at org.eclipse.jgit.revwalk.RevCommit.parseHeaders(RevCommit.java:155)
        at org.eclipse.jgit.revwalk.PendingGenerator.next(PendingGenerator.java:147)
        at org.eclipse.jgit.revwalk.RevWalk.next(RevWalk.java:435) 
        at org.eclipse.jgit.revwalk.ObjectWalk.next(ObjectWalk.java:293)
        at org.eclipse.jgit.internal.storage.pack.PackWriterBitmapWalker.findObjects(PackWriterBitmapWalker.java:120)
        at org.eclipse.jgit.internal.storage.pack.PackWriter.findObjectsToPackUsingBitmaps(PackWriter.java:1874)
        at org.eclipse.jgit.internal.storage.pack.PackWriter.findObjectsToPack(PackWriter.java:1669)
        at org.eclipse.jgit.internal.storage.pack.PackWriter.preparePack(PackWriter.java:799)
        at org.eclipse.jgit.transport.UploadPack.sendPack(UploadPack.java:1509)
        at org.eclipse.jgit.transport.UploadPack.sendPack(UploadPack.java:1390)
        at org.eclipse.jgit.transport.UploadPack.service(UploadPack.java:774)
        at org.eclipse.jgit.transport.UploadPack.upload(UploadPack.java:667)
        at org.eclipse.jgit.http.server.UploadPackServlet.doPost(UploadPackServlet.java:191) 
...

There are a lot of such errors for mediawiki/core:

$ zgrep -A 1 'Internal error during upload-pack from /srv/gerrit/git/mediawiki/core.git' /var/lib/gerrit2/review_site/logs/error_log.2016-12-20.gz|grep Missing|sort |uniq -c
     27 org.eclipse.jgit.errors.MissingObjectException: Missing commit 2c791d52a136580e1cedd131bbddb6b2d6f7b63f
     48 org.eclipse.jgit.errors.MissingObjectException: Missing commit 54d20828bb8be210c6c0269137f3d75f518b656b
     62 org.eclipse.jgit.errors.MissingObjectException: Missing commit 6488c4efdff9f4b1e1501818dc225d0beffe451f
      1 org.eclipse.jgit.errors.MissingObjectException: Missing commit 6cd9d5fdadbfeb16093ebfd1a1f2b11bd9f11755
      2 org.eclipse.jgit.errors.MissingObjectException: Missing commit eb9fee609beabcae626890b0fa05db1da2ba4082

They are all tip of wmf branches:

$ for commit in 2c791d52a136580e1cedd131bbddb6b2d6f7b63f 54d20828bb8be210c6c0269137f3d75f518b656b 6488c4efdff9f4b1e1501818dc225d0beffe451f 6cd9d5fdadbfeb16093ebfd1a1f2b11bd9f11755 eb9fee609beabcae626890b0fa05db1da2ba4082; do git log -n1 --oneline --decorate $commit; done;
2c791d52a1 (origin/wmf/1.28.0-wmf.11) Updated git submodules
54d20828bb (origin/wmf/1.28.0-wmf.23) Updated git submodules
6488c4efdf (origin/wmf/1.28.0-wmf.4) Updated git submodules
6cd9d5fdad (origin/wmf/1.28.0-wmf.14) Updated git submodules
eb9fee609b (origin/wmf/1.28.0-wmf.19) Updated git submodules

The branch/tags have been deleted though. I don't know though why git-clone would try to retrieve them since they are no more part of the repository.

Maybe a git fsck on the repository can detect issues. There is also a lot of dangling objects.

Another possible workaround would be to git clone -b master --single-branch https://gerrit.wikimedia.org/r/p/mediawiki/core.git /vagrant/mediawiki which also seems to get past the troublesome commits that are hanging out somewhere in an old deployment branch. I think we have all the bits of Puppet that would be needed to do that.

This doesn't work for me in the vagrant virtual machine, I'm still getting an error:

error: RPC failed; result=56, HTTP code = 2005 MiB | 1.16 MiB/s
fatal: The remote end hung up unexpectedly
fatal: early EOF
fatal: index-pack failed

However, when upgrading to 2.11.0, it does work. Does this mean that Vagrant can't clone because the git version bundled with it is outdated, and the outdated version chokes on those commits?

bd808 added a comment.Dec 22 2016, 5:12 PM

However, when upgrading to 2.11.0, it does work. Does this mean that Vagrant can't clone because the git version bundled with it is outdated, and the outdated version chokes on those commits?

The version in the VM is certainly older. LTS Ubuntu releases typically do not update to newer versions of packages than were available at the time the LTS was marked as stable. We could pull in a much newer git package from the git stable PPA and see if that helps get around the corruption issue in gerrit's mediawiki/core.git.

Change 328691 had a related patch set uploaded (by BryanDavis):
Install latest git client from PPA; upgrade git-review

https://gerrit.wikimedia.org/r/328691

Change 328691 merged by jenkins-bot:
Install latest git client from PPA; upgrade git-review

https://gerrit.wikimedia.org/r/328691

On T152801#2895705 I mentioned all missing objects are tip of wmf/* branches. mediawiki/vagrant.git issue looks like related to jgit T151676: gerrit jgit gc caused mediawiki/core repo problems and specially:

So, pretty sure this only affects core and maybe extensions that get wmf branches. Best we can tell, the missing sha1s are for objects that only existed in old wmf.N branches that were later deleted. I'm also pretty sure this only happens for auto-submodule-update commits.
The official workaround is git remote prune origin (repeat for "gerrit" remote, if you have one).
This is a "new" issue because we've only been doing auto gc for a couple of weeks since we updated to 2.12 from 2.8.
I'm not worried about losing objects from intact branches (master, REL1_xx). The upgrade to the new jgit should avoid this from happening again, I think.

bd808 added a comment.Dec 23 2016, 3:15 PM

On T152801#2895705 I mentioned all missing objects are tip of wmf/* branches. mediawiki/vagrant.git issue looks like related to jgit T151676: gerrit jgit gc caused mediawiki/core repo problems and specially:

The official workaround is git remote prune origin (repeat for "gerrit" remote, if you have one).

This local state cleanup trick does not work for this particular problem because the failure is for the initial clone rather than updating an existing clone. The local state that is altered by pruning does not exist. This failure is happening based on the data being sent from the origin remote directly.

We do have a few reports that using git v2.11.0 "fixes" the problem, so maybe there is some logic in the newer git that understands and works around the dangling references.

Tgr added a comment.Dec 23 2016, 11:02 PM

Note that in both cases the error is on the server side - apparently something breaks so bad that it can't even handle the connection properly:

* GnuTLS recv error (-9): A TLS packet with unexpected length was received.
* Closing connection 1
error: RPC failed; result=56, HTTP code = 200
fatal: The remote end hung up unexpectedly
fatal: early EOF
fatal: index-pack failed

I guess a more recent git client negotiates a different protocol where the server does not run into the bug.

Mainframe98 added a comment.EditedDec 30 2016, 6:29 PM

I'm still getting errors when I try setting up vagrant with a specific release instead of the master (vagrant hiera mediawiki::branch REL1_24)

==> default: Notice: /Stage[main]/Mediawiki/Git::Clone[mediawiki/core]/Exec[git_clone_mediawiki/core]/returns: error: RPC failed; curl 56 GnuTLS recv error (-9): A TLS packet with unexpected length was received.
==> default: Notice: /Stage[main]/Mediawiki/Git::Clone[mediawiki/core]/Exec[git_clone_mediawiki/core]/returns: fatal: The remote end hung up unexpectedly
==> default: Notice: /Stage[main]/Mediawiki/Git::Clone[mediawiki/core]/Exec[git_clone_mediawiki/core]/returns: fatal: early EOF
==> default: Notice: /Stage[main]/Mediawiki/Git::Clone[mediawiki/core]/Exec[git_clone_mediawiki/core]/returns: fatal: index-pack failed
==> default: Error: /usr/bin/git clone --recurse-submodules  --branch 'REL1_24' https://gerrit.wikimedia.org/r/p/mediawiki/core.git /vagrant/mediawiki returned 128 instead of one of [0]
==> default: Error: /Stage[main]/Mediawiki/Git::Clone[mediawiki/core]/Exec[git_clone_mediawiki/core]/returns: change from notrun to 0 failed: /usr/bin/git clone --recurse-submodules  --branch 'REL1_24' https://gerrit.wikimedia.org/r/p/mediawiki/core.git /vagrant/mediawiki returned 128 instead of one of [0]

Apparently I cheered to early...
I do wonder if this means that the problematic commits reside in releases below (or including) 1.24.

Edit: git clone -b REL1_24 --single-branch https://gerrit.wikimedia.org/r/p/mediawiki/core.git /vagrant/mediawiki does work, but everything that depended on MediaWiki (which is pretty much anything) still isn't installed.
Edit 2: The edit above was meant in as, it worked in cloning. I still get a No wiki found screen when accessing 127.0.0.1:8080/w. Odly enough the installer is accessible, but is missing most of its style.

Tgr added a comment.Dec 31 2016, 9:13 AM

I also get the TLS packet with unexpected length error when doing a new checkout (MW master, jessie, git 2.11.0).

Tgr updated the task description. (Show Details)Dec 31 2016, 9:37 AM

I encountered this today while trying to clone a repo.

vagrant@mediawiki-vagrant:/vagrant/mediawiki/extensions$ git clone https://gerrit.wikimedia.org/r/operations/mediawiki-config
Cloning into 'mediawiki-config'...
remote: Counting objects: 3902, done
remote: Finding sources: 100% (1676/1676)
remote: Getting sizes: 100% (740/740)
remote: Compressing objects:  99% (20024/20025)
error: RPC failed; result=56, HTTP code = 200MiB | 74.00 KiB/s    
fatal: The remote end hung up unexpectedly
fatal: early EOF
fatal: index-pack failed

A temp solution is try to use ssh to clone, i am wondering weather the git:// protocol is an open ssh protocol, if so i wonder how do we enable it on gerrit as it is possible, just not documented as such properly.

What version of git are you running in ubuntu 14.04?

we should add

apt-get update \
&& apt-get install -y build-essential libcurl4-openssl-dev libexpat1-dev gettext libz-dev libssl-dev autoconf \
&& wget https://github.com/git/git/archive/v2.11.0.tar.gz -O git.tar.gz \
&& tar -zxf git.tar.gz \
&& cd git-* \
&& make configure \
&& ./configure --prefix=/usr \
&& make install

to the vagrant file.

I also get the TLS packet with unexpected length error when doing a new checkout (MW master, jessie, git 2.11.0).

@Tgr hi, see https://bugs.launchpad.net/ubuntu/+source/gnutls26/+bug/1111882

it's because ubuntu 14.04 uses an old git version which has this bug in. try doing

apt-get update \
&& apt-get install -y build-essential libcurl4-openssl-dev libexpat1-dev gettext libz-dev libssl-dev autoconf \
&& wget https://github.com/git/git/archive/v2.11.0.tar.gz -O git.tar.gz \
&& tar -zxf git.tar.gz \
&& cd git-* \
&& make configure \
&& ./configure --prefix=/usr \
&& make install

please?

Paladox added a comment.EditedJan 23 2017, 4:48 PM

You can workaround it by doing for example

mkdir mediawiki-config
cd mediawiki-config
git init
git remote add -f origin https://gerrit.wikimedia.org/r/operations/mediawiki-config
git fetch
git checkout -B master origin/master

Also see http://askubuntu.com/questions/186847/error-gnutls-handshake-failed-when-connecting-to-https-servers/187199#187199

@Tgr is reproducing the failure with the updated version of git in a Vagrant VM:

==> default: Notice: /Stage[main]/Git/Apt::Ppa[git-core/ppa]/Exec[/usr/bin/add-apt-repository --yes ppa:git-core/ppa && /usr/bin/apt-get update]/returns: executed successfully
==> default: Notice: /Stage[main]/Git/Package[git]/ensure: ensure changed 'purged' to 'latest'

...snip...

==> default: Notice: /Stage[main]/Mediawiki/Git::Clone[mediawiki/core]/Exec[git_clone_mediawiki/core]/returns: Cloning into '/vagrant/mediawiki'...
==> default: Notice: /Stage[main]/Mediawiki/Git::Clone[mediawiki/core]/Exec[git_clone_mediawiki/core]/returns: error: RPC failed; curl 56 GnuTLS recv error (-9): A TLS packet with unexpected length was received.
==> default: Notice: /Stage[main]/Mediawiki/Git::Clone[mediawiki/core]/Exec[git_clone_mediawiki/core]/returns: fatal: The remote end hung up unexpectedly
==> default: Notice: /Stage[main]/Mediawiki/Git::Clone[mediawiki/core]/Exec[git_clone_mediawiki/core]/returns: fatal: early EOF
==> default: Notice: /Stage[main]/Mediawiki/Git::Clone[mediawiki/core]/Exec[git_clone_mediawiki/core]/returns: fatal: index-pack failed
==> default: Error: /usr/bin/git clone --recurse-submodules https://gerrit.wikimedia.org/r/p/mediawiki/core.git /vagrant/mediawiki returned 128 instead of one of [0]

We are not going to be installing git from source as suggested in T152801#2961804. That is definitely a bridge too far and with other evidence unlikely to actually fix anything.

It's still pretty suspicious that this all showed up around the same time as T151676: gerrit jgit gc caused mediawiki/core repo problems. I'd really like to blame jgit, but I don't know that doing so gets us any closer to fixing/working around the problem.

Paladox added a comment.EditedJan 30 2017, 11:27 PM

@bd808 they wrote this

"To clarify things, no the issue is not within GIT itself. The issue comes from libcurl3-openssl. Most of the GIT binaries that are distributed (either from GIT PPA or Ubuntu) is compiled to work with libcurl3-openssl.

Hence, it's necessary to recompile the GIT from source and link it to libcurl4-openssl. The issue can only be solved after Ubuntu or Git PPA is compiled against libcurl4-openssl instead of libcurl3-openssl."

https://bugs.launchpad.net/ubuntu/+source/gnutls26/+bug/1111882

so even if you updated it will fail, you need to change from libcurl3-openssl to libcurl4-openssl

or libcurl4-openssl-dev

This is because of https, we need to really use http.

demon added a comment.EditedJan 30 2017, 11:45 PM

This is because of https, we need to really use http.

No, we shouldn't. WMF services are HTTPS-only. Doing unsecured HTTP exposes our users to two problems:

  1. their content could have been intercepted and read or modified during transit (the latter of which is dangerous for code)
  2. If a user unknowingly pushes a patch back to Gerrit using their HTTP credentials, they've just leaked their password

This is because of https, we need to really use http.

No, we shouldn't. WMF services are HTTPS-only. Doing unsecured HTTP exposes our users to two problems:

  1. their content could have been intercepted and read or modified during transit (the latter of which is dangerous for code)
  2. If a user unknowingly pushes a patch batch to Gerrit using their HTTP credentials, they've just leaked their password

I mean the anon one not the one where you enter your password.

This is because of https, we need to really use http.

No, we shouldn't. WMF services are HTTPS-only. Doing unsecured HTTP exposes our users to two problems:

  1. their content could have been intercepted and read or modified during transit (the latter of which is dangerous for code)
  2. If a user unknowingly pushes a patch batch to Gerrit using their HTTP credentials, they've just leaked their password

I mean the anon one not the one where you enter your password.

In which case (1) is still a valid concern.

Paladox added a comment.EditedJan 30 2017, 11:51 PM

Oh ok, i guess then the only thing here is to build from source as suggested here https://bugs.launchpad.net/ubuntu/+source/gnutls26/+bug/1111882 with libcurl4-openssl otherwise there's not much we can do here as this is not a git problem but rather a gnutls problem.

Oh ok, i guess then the only thing here is to build from source as suggested here https://bugs.launchpad.net/ubuntu/+source/gnutls26/+bug/1111882 with libcurl4-openssl otherwise there's not much we can do here as this is not a git problem but rather a gnutls problem.

@Paladox Have you actually tested that fix and proven it to be true or are you just cutting and pasting messages you found with a Google search that are 18 months old?

Building and maintaining our own fork of the git package is a non-trivial expense. The bug you are linking shows that this issue was known to be in Ubuntu 14.04 since at least 2014-05-06 and yet somehow we never saw it (at least on a wide scale) until 2016-12-09. It may very well be the same or a related bug, but something made it start happening when cloning mediawiki/core.git.

Flippant comments like "we need to really use http" are actually damaging to the conversation we are trying to have here because they spread disinformation and they cause notification fatigue for the participants in the discussion. Please refrain from wild speculation. Please refrain from disinformation. And most of all please refrain from your urge to reply to this comment with a "sorry" or "ok" response. If you want to help (and I know that you do) you can build the custom git and run a test of cloning mediawiki/core.git 50 to 100 times using it and then report back here if and only if you are unable to reproduce a single curl 56 GnuTLS recv error (-9): A TLS packet with unexpected length was received. using the custom package.

@bd808 hi, we upgraded to gerrit 2.13 just near that date. See https://gerrit.wikimedia.org/r/#/c/323545/ and https://gerrit.wikimedia.org/r/#/c/326154/ Could it have be gerrit that's the problem?

Oh ok, i guess then the only thing here is to build from source as suggested here https://bugs.launchpad.net/ubuntu/+source/gnutls26/+bug/1111882 with libcurl4-openssl otherwise there's not much we can do here as this is not a git problem but rather a gnutls problem.

@Paladox Have you actually tested that fix and proven it to be true or are you just cutting and pasting messages you found with a Google search that are 18 months old?
Building and maintaining our own fork of the git package is a non-trivial expense. The bug you are linking shows that this issue was known to be in Ubuntu 14.04 since at least 2014-05-06 and yet somehow we never saw it (at least on a wide scale) until 2016-12-09. It may very well be the same or a related bug, but something made it start happening when cloning mediawiki/core.git.
Flippant comments like "we need to really use http" are actually damaging to the conversation we are trying to have here because they spread disinformation and they cause notification fatigue for the participants in the discussion. Please refrain from wild speculation. Please refrain from disinformation. And most of all please refrain from your urge to reply to this comment with a "sorry" or "ok" response. If you want to help (and I know that you do) you can build the custom git and run a test of cloning mediawiki/core.git 50 to 100 times using it and then report back here if and only if you are unable to reproduce a single curl 56 GnuTLS recv error (-9): A TLS packet with unexpected length was received. using the custom package.

I won't be able to test that as normal http cloning works for me.

Also do you curl the commit-msg too?

Tgr added a comment.Jan 31 2017, 12:44 AM

I think the realistic alternatives at this point are shallow cloning and using GitHub.

Shallow cloning breaks git log and blame (and maybe git review / vagrant git-update? in theory it shouldn't, and it didn't seem to, but I haven't tested heavily). I can't think of any disadvantage for GitHub so let's go with that?

...
It's still pretty suspicious that this all showed up around the same time as T151676: gerrit jgit gc caused mediawiki/core repo problems. I'd really like to blame jgit, but I don't know that doing so gets us any closer to fixing/working around the problem.

I have confirmed multiple times that the client side error correlates with a Gerrit server side error complaining it can not find such and such object T152801#2895705

For mediawiki/core all the missing commits are tip of old wmf/* branches that have been deleted. When jGit gc has been run, the objects got deleted but somehow some reference/packfile still point to them.

The one that occur the most is 6488c4efdff9f4b1e1501818dc225d0beffe451f which used to be wmf/1.28.0-wmf.4. I cant quite find a reference to that branch name in the git repo on the Gerrit server :(

Paladox added a comment.EditedJan 31 2017, 11:08 PM

Bug report already filled upstream on gerrit

https://bugs.chromium.org/p/gerrit/issues/detail?id=2295

Looks like nothing to do with gerrit 2.13 upgrade.

Change 328335 merged by jenkins-bot:
Clone only the master branch of mediawiki/core.git by default

https://gerrit.wikimedia.org/r/328335

I found solution. It work's for me.

Quick solution:
With this kind of error, I usually start by raising the postBuffer size by:
git config --global http.postBuffer 524288000
(some comments below report having to double the value):
git config --global http.postBuffer 1048576000

source : http://stackoverflow.com/questions/6842687/the-remote-end-hung-up-unexpectedly-while-git-cloning

TheDJ added a subscriber: TheDJ.Apr 26 2017, 1:10 PM
TheDJ added a comment.EditedApr 26 2017, 2:00 PM

Zomg, this is really cumbersome.. I just spent a lot of minutes trying to support someone in wikimedia-dev only to run into this.

Tried all of the above mentioned workarounds and none of it was working for me. Eventually I worked around it by cloning mediawiki core in the host OS instead of the Virtual machine:

cd vagrant
git clone https://gerrit.wikimedia.org/r/mediawiki/core mediawiki
cd mediawiki
vagrant git-update
vagrant provision
vagrant git-update

This was enough to bash everything into submission again. But this is not really workable i have to say...

We could switch to phabricator for cloning if no one needs to upload a change from vagrant?

Reedy added a subscriber: Reedy.Apr 26 2017, 2:56 PM

We could switch to phabricator for cloning if no one needs to upload a change from vagrant?

Many people would do. Because it's a development machine/environment...

bd808 added a comment.Apr 26 2017, 2:58 PM
This comment was removed by bd808.
This comment was removed by Paladox.
bd808 added a comment.Apr 26 2017, 3:09 PM
This comment was removed by bd808.
bd808 added a comment.Apr 26 2017, 3:32 PM

I would like to apologize to @Paladox for publicly confronting him in T152801#3214129 and T152801#3214150.

Tgr added a comment.May 10 2017, 9:45 AM

I found solution. It work's for me.

Quick solution:
With this kind of error, I usually start by raising the postBuffer size by:
git config --global http.postBuffer 524288000
(some comments below report having to double the value):
git config --global http.postBuffer 1048576000

source : http://stackoverflow.com/questions/6842687/the-remote-end-hung-up-unexpectedly-while-git-cloning

Worked for me, too. Seems worth a shot.

Change 353025 had a related patch set uploaded (by Gergő Tisza; owner: Gergő Tisza):
[mediawiki/vagrant@master] Raise git post buffer when cloning MediaWiki

https://gerrit.wikimedia.org/r/353025

Change 353025 merged by jenkins-bot:
[mediawiki/vagrant@master] Raise git post buffer when cloning MediaWiki

https://gerrit.wikimedia.org/r/353025

Tgr added a comment.May 29 2017, 5:34 PM

I have seen this with other repos as well (mediawiki/extensions/Collection/OfflineContentGenerator/latex_renderer to be specific) although it wasn't reproducible. Maybe the limit raise should be applied to all git clone commands.

hashar removed a subscriber: hashar.Jun 16 2017, 11:16 AM
Tgr added a comment.Jun 23 2017, 5:11 PM

Unfortunately it does not seem like raising the post buffer solved this, although the error became less frequent.

==> default: Notice: /Stage[main]/Mediawiki/Git::Clone[mediawiki/core]/Exec[git_clone_mediawiki/core]/returns: error: RPC failed; curl 56 GnuTLS recv error (-110): The TLS connection was non-properly terminated.
==> default: Notice: /Stage[main]/Mediawiki/Git::Clone[mediawiki/core]/Exec[git_clone_mediawiki/core]/returns: fatal: The remote end hung up unexpectedly
==> default: Notice: /Stage[main]/Mediawiki/Git::Clone[mediawiki/core]/Exec[git_clone_mediawiki/core]/returns: fatal: early EOF
==> default: Notice: /Stage[main]/Mediawiki/Git::Clone[mediawiki/core]/Exec[git_clone_mediawiki/core]/returns: fatal: index-pack failed
==> default: Error: /usr/bin/git -c http.postBuffer=1048576000 clone --recurse-submodules  --branch 'master' --single-branch https://gerrit.wikimedia.org/r/p/mediawiki/core.git /vagrant/mediawiki returned 128 instead of one of [0]
Tgr added a comment.Jun 28 2017, 8:43 AM

Unfortunately it does not seem like raising the post buffer solved this, although the error became less frequent.

Raising it even more helped, although I had to raise VM memory limits as well to make that work. I wonder if this is somehow related to the history of MediaWiki getting larger over time, so a larger and larger buffer is needed for some call.

demon added a comment.Jun 28 2017, 3:02 PM

Unfortunately it does not seem like raising the post buffer solved this, although the error became less frequent.

Raising it even more helped, although I had to raise VM memory limits as well to make that work. I wonder if this is somehow related to the history of MediaWiki getting larger over time, so a larger and larger buffer is needed for some call.

Likely. It's only ever going to get bigger.

Tgr added a comment.Sep 18 2017, 10:57 PM

Found out about this the hard way. Makes shallow clones (even repos that were created as shallow and then unshallowed) very confusing to use.

I had to make two changes:

  1. in puppet/modules/mediawiki/manifests/init.pp, set http.postBuffer=2098576000
  2. in support/Vagrantfile-extra.rb:

uncomment lines 19-20
uncomment line 28, set the memory to 3128
uncomment line 32
uncomment line 45
then cp support/Vargantfile-extra.rb to the root of the repo

bd808 added a comment.Sep 25 2017, 4:16 PM
  1. in support/Vagrantfile-extra.rb:

uncomment lines 19-20
uncomment line 28, set the memory to 3128
uncomment line 32
uncomment line 45
then cp support/Vargantfile-extra.rb to the root of the repo

The same effect can be achieved by running vagrant config vagrant_ram 3128. You can see the current setting with vagrant config --get vagrant_ram. By default, MediaWiki-Vagrant uses the value auto which sets the VM to use 25% of the RAM on the host system (e.g. 2048MB for a host with 8G of RAM).

The solution here does not work for me. T177163

Tgr added a comment.Oct 2 2017, 5:32 AM

Probably the simplest workaround is to just install MediaWiki by hand (to the mediawiki subfolder of vagrant, before running vagrant up).

@Tgr after adding mediawiki (from https://www.mediawiki.org/wiki/Download, following all steps) to vagrant folder and destroying the machine, after vagrant up localhost:8080 shows "no wiki found".

Output of vagrant up is as follows:

PS C:\Users\HOME MANSION\music\outreachy\vagrant> vagrant up
Bringing machine 'default' up with 'virtualbox' provider...
==> default: Importing base box 'debian/contrib-jessie64'...
==> default: Matching MAC address for NAT networking...
==> default: Checking if box 'debian/contrib-jessie64' is up to date...
==> default: Setting the name of the VM: vagrant_default_1506925544115_28290
==> default: Clearing any previously set network interfaces...
==> default: Preparing network interfaces based on configuration...
    default: Adapter 1: nat
    default: Adapter 2: hostonly
==> default: Forwarding ports...
    default: 8080 (guest) => 8080 (host) (adapter 1)
    default: 443 (guest) => 4430 (host) (adapter 1)
    default: 22 (guest) => 2222 (host) (adapter 1)
==> default: Running 'pre-boot' VM customizations...
==> default: Booting VM...
==> default: Waiting for machine to boot. This may take a few minutes...
    default: SSH address: 127.0.0.1:2222
    default: SSH username: vagrant
    default: SSH auth method: private key
    default:
    default: Vagrant insecure key detected. Vagrant will automatically replace
    default: this with a newly generated keypair for better security.
    default:
    default: Inserting generated public key within guest...
    default: Removing insecure key from the guest if it's present...
    default: Key inserted! Disconnecting and reconnecting using new SSH key...
==> default: Machine booted and ready!
==> default: Checking for guest additions in VM...
    default: The guest additions on this VM do not match the installed version of
    default: VirtualBox! In most cases this is fine, but in rare cases it can
    default: prevent things such as shared folders from working properly. If you see
    default: shared folder errors, please make sure the guest additions within the
    default: virtual machine match the version of VirtualBox you have installed on
    default: your host and reload your VM.
    default:
    default: Guest Additions Version: 4.3.36
    default: VirtualBox Version: 5.1
==> default: Setting hostname...
==> default: Configuring and enabling network interfaces...
==> default: Mounting shared folders...
    default: /vagrant => C:/Users/HOME MANSION/Music/outreachy/vagrant
    default: /vagrant/logs => C:/Users/HOME MANSION/Music/outreachy/vagrant/logs
==> default: Running provisioner: lsb_check...
==> default: Running provisioner: shell...
    default: Running: C:/Users/HOMEMA~1/AppData/Local/Temp/vagrant-shell20171002-17416-hxmavn.sh
==> default: Running provisioner: puppet...
==> default: Running Puppet with site.pp...
==> default: Info: Loading facts
==> default: Notice: Compiled catalog for mediawiki-vagrant.dev in environment production in 9.92 seconds
==> default: Info: Applying configuration version '1506925691.no-git'
==> default: Notice: /Stage[main]/Apt/File[/var/lib/apt/keys]/ensure: created
==> default: Notice: /Stage[main]/Apt/Exec[ins-apt-transport-https]/returns: executed successfully
==> default: Notice: /Stage[main]/Apt/File[/etc/apt/apt.conf.d/20shared-cache]/ensure: defined content as '{md5}711fa2f2a913db3990e7beb15cf57b5b'
==> default: Notice: /Stage[main]/Apt/File[/etc/apt/apt.conf.d/01no-recommended]/ensure: defined content as '{md5}53ce69211afabdf3f0123353515e80f4'
==> default: Notice: /Stage[main]/Git::Gerrit/Sshkey[gerrit.wikimedia.org]/ensure: created
==> default: Notice: /Stage[main]/Mwv/File[/etc/mw-vagrant]/ensure: created
==> default: Notice: /Stage[main]/Apache/File[/var/www]/ensure: created
==> default: Notice: /Stage[main]/Php::Xhprof/File[/vagrant/profiles]/mode: mode changed '0777' to '0775'
==> default: Notice: /Stage[main]/Mediawiki::Ready_service/File[/usr/local/bin/wait-for-mediawiki.sh]/ensure: created
==> default: Notice: /Stage[main]/Npm/Exec[npm_set_cache_dir]/returns: executed successfully
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/var/www/w]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/var/www/w/api.php]/ensure: defined content as '{md5}919aca53ba59eb6908a30dbbaecef793'
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/var/www/w/img_auth.php]/ensure: defined content as '{md5}919aca53ba59eb6908a30dbbaecef793'
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/var/www/w/index.php]/ensure: defined content as '{md5}919aca53ba59eb6908a30dbbaecef793'
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/var/www/w/load.php]/ensure: defined content as '{md5}919aca53ba59eb6908a30dbbaecef793'
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/var/www/w/opensearch_desc.php]/ensure: defined content as '{md5}919aca53ba59eb6908a30dbbaecef793'
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/var/www/w/thumb.php]/ensure: defined content as '{md5}919aca53ba59eb6908a30dbbaecef793'
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/var/www/w/thumb_handler.php]/ensure: defined content as '{md5}919aca53ba59eb6908a30dbbaecef793'
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/var/www/w/dblist.php]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/var/www/w/defines.php]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/var/www/w/missing.php]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/var/www/w/MWMultiVersion.php]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/var/www/w/MWScript.php]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/var/www/w/RunJobs.php]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/var/www/w/docs]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/var/www/w/extensions]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/var/www/w/resources]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/var/www/w/mw-config]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/var/www/w/skins]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/var/www/w/tests]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/var/www/w/COPYING]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/var/www/w/CREDITS]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/usr/local/bin/multiversion-install]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/usr/local/bin/mwscript]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/usr/local/bin/alldbs]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/usr/local/bin/foreachwiki]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/usr/local/bin/foreachwikiwithextension]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/usr/local/bin/wikihasextension]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Apache/File[/var/www/robots.txt]/ensure: defined content as '{md5}abe1c19ddc2b287ea9da1fc31584e439'
==> default: Notice: /Stage[main]/Mediawiki::Mwrepl/File[/usr/local/bin/mwrepl]/ensure: defined content as '{md5}5a1414d4e63fab8465655683533285af'
==> default: Notice: /Stage[main]/Mediawiki::Mwrepl/File[/usr/local/bin/hhvmsh]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Psysh/File[/home/vagrant/.config]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Psysh/File[/home/vagrant/.config/psysh]/ensure: created
==> default: Notice: /Stage[main]/Misc/File[/etc/profile.d/mediawiki-vagrant.sh]/ensure: defined content as '{md5}315eb070370a6fd06a535e1c1f35bf65'
==> default: Notice: /Stage[main]/Misc/File[/usr/local/sbin/isfresh]/ensure: defined content as '{md5}6fee8323b6bdd6afc7c37faa4491794a'
==> default: Notice: /Stage[main]/Misc/Exec[fix_root_profile]/returns: executed successfully
==> default: Notice: /Stage[main]/Mysql/File[/home/vagrant/.my.cnf]/ensure: defined content as '{md5}ef06fc0c2fb48af1df465c01df0f9634'
==> default: Notice: /Stage[main]/Puppet::Agent/Service[puppet]/ensure: ensure changed 'running' to 'stopped'
==> default: Notice: /Stage[main]/Apt/Apt::Repository[wikimedia]/File[/var/lib/apt/keys/wikimedia.gpg]/ensure: defined content as '{md5}39e2c3119a82a59d706317fce97a6bfc'
==> default: Info: /Stage[main]/Apt/Apt::Repository[wikimedia]/File[/var/lib/apt/keys/wikimedia.gpg]: Scheduling refresh of Exec[/usr/bin/apt-key add /var/lib/apt/keys/wikimedia.gpg]
==> default: Notice: /Stage[main]/Apt/Apt::Repository[wikimedia]/Exec[/usr/bin/apt-key add /var/lib/apt/keys/wikimedia.gpg]: Triggered 'refresh' from 1 events
==> default: Notice: /Stage[main]/Apt/Apt::Repository[wikimedia]/Exec[apt-wikimedia-sources]/returns: executed successfully
==> default: Notice: /Stage[main]/Apt/Apt::Repository[wikimedia]/File[/etc/apt/sources.list.d/wikimedia.list]/ensure: created
==> default: Info: /Stage[main]/Apt/Apt::Repository[wikimedia]/File[/etc/apt/sources.list.d/wikimedia.list]: Scheduling refresh of Exec[apt-get update]
==> default: Notice: /Stage[main]/Apt/Apt::Repository[debian-backports]/Exec[apt-debian-backports-sources]/returns: executed successfully
==> default: Notice: /Stage[main]/Apt/Apt::Repository[debian-backports]/File[/etc/apt/sources.list.d/debian-backports.list]/ensure: created
==> default: Info: /Stage[main]/Apt/Apt::Repository[debian-backports]/File[/etc/apt/sources.list.d/debian-backports.list]: Scheduling refresh of Exec[apt-get update]
==> default: Notice: /Stage[main]/Apt/Apt::Repository[mwv-apt]/File[/etc/apt/sources.list.d/mwv-apt.list]/ensure: created
==> default: Info: /Stage[main]/Apt/Apt::Repository[mwv-apt]/File[/etc/apt/sources.list.d/mwv-apt.list]: Scheduling refresh of Exec[apt-get update]
==> default: Notice: /Stage[main]/Apt/Apt::Pin[wikimedia]/File[/etc/apt/preferences.d/wikimedia.pref]/ensure: created
==> default: Info: /Stage[main]/Apt/Apt::Pin[wikimedia]/File[/etc/apt/preferences.d/wikimedia.pref]: Scheduling refresh of Exec[apt-get update]
==> default: Notice: /Stage[main]/Git/Apt::Pin[git]/File[/etc/apt/preferences.d/git.pref]/ensure: created
==> default: Info: /Stage[main]/Git/Apt::Pin[git]/File[/etc/apt/preferences.d/git.pref]: Scheduling refresh of Exec[apt-get update]
==> default: Notice: /Stage[main]/Apache/Misc::Evergreen[apache2]/Exec[check_apache2_freshness]/returns: executed successfully
==> default: Info: /Stage[main]/Apache/Misc::Evergreen[apache2]/Exec[check_apache2_freshness]: Scheduling refresh of Service[apache2]
==> default: Notice: /Stage[main]/Php::Composer/Env::Var[COMPOSER_CACHE_DIR]/File[/etc/profile.d/set_COMPOSER_CACHE_DIR.sh]/ensure: created
==> default: Notice: /Stage[main]/Php::Composer/Env::Profile_script[add composer global bin to path]/File[/etc/profile.d/50-add-composer-global-bin-to-path.sh]/ensure: created
==> default: Notice: /Stage[main]/Arcanist/Env::Profile_script[add arcanist bin to path]/File[/etc/profile.d/50-add-arcanist-bin-to-path.sh]/ensure: created
==> default: Notice: /Stage[main]/Npm/Apt::Repository[nodesource]/File[/var/lib/apt/keys/nodesource.gpg]/ensure: defined content as '{md5}003b51a89a133b5db4cca98b2dea3117'
==> default: Info: /Stage[main]/Npm/Apt::Repository[nodesource]/File[/var/lib/apt/keys/nodesource.gpg]: Scheduling refresh of Exec[/usr/bin/apt-key add /var/lib/apt/keys/nodesource.gpg]
==> default: Notice: /Stage[main]/Npm/Apt::Repository[nodesource]/File[/etc/apt/sources.list.d/nodesource.list]/ensure: created
==> default: Info: /Stage[main]/Npm/Apt::Repository[nodesource]/File[/etc/apt/sources.list.d/nodesource.list]: Scheduling refresh of Exec[apt-get update]
==> default: Notice: /Stage[main]/Npm/Apt::Repository[nodesource]/Exec[/usr/bin/apt-key add /var/lib/apt/keys/nodesource.gpg]: Triggered 'refresh' from 1 events
==> default: Notice: /Stage[main]/Npm/Apt::Pin[nodejs]/File[/etc/apt/preferences.d/nodejs.pref]/ensure: created
==> default: Info: /Stage[main]/Npm/Apt::Pin[nodejs]/File[/etc/apt/preferences.d/nodejs.pref]: Scheduling refresh of Exec[apt-get update]
==> default: Notice: /Stage[main]/Apt/Exec[apt-get update]/returns: executed successfully
==> default: Notice: /Stage[main]/Apt/Exec[apt-get update]: Triggered 'refresh' from 7 events
==> default: Notice: /Stage[main]/Git/Package[git]/ensure: ensure changed 'purged' to 'present'
==> default: Notice: /Stage[main]/Packages::Anacron/Package[anacron]/ensure: ensure changed 'purged' to 'present'
==> default: Notice: /Stage[main]/Packages::Build_essential/Package[build-essential]/ensure: ensure changed 'purged' to 'present'
==> default: Notice: /Stage[main]/Packages::Gdb/Package[gdb]/ensure: ensure changed 'purged' to 'present'
==> default: Notice: /Stage[main]/Packages::Python_dev/Package[python-dev]/ensure: ensure changed 'purged' to 'present'
==> default: Notice: /Stage[main]/Packages::Ruby_dev/Package[ruby-dev]/ensure: ensure changed 'purged' to 'present'
==> default: Notice: /Stage[main]/Mwv::Packages/Package[python-pip]/ensure: ensure changed 'purged' to 'present'
==> default: Notice: /Stage[main]/Git/Package[git-review]/ensure: created
==> default: Notice: /Stage[main]/Mwv::Cachefilesd/Package[cachefilesd]/ensure: ensure changed 'purged' to 'present'
==> default: Notice: /Stage[main]/Mwv::Cachefilesd/File[/etc/default/cachefilesd]/content: content changed '{md5}f470125dbe9aae183fbf9c1b2744d4a2' to '{md5}8c589c891f31441be7939f743d452d19'
==> default: Info: /Stage[main]/Mwv::Cachefilesd/File[/etc/default/cachefilesd]: Scheduling refresh of Service[cachefilesd]
==> default: Notice: /Stage[main]/Mwv::Cachefilesd/Service[cachefilesd]: Triggered 'refresh' from 1 events
==> default: Notice: /Stage[main]/Apache/Package[apache2]/ensure: ensure changed 'purged' to 'present'
==> default: Notice: /Stage[main]/Apache::Mod::Php5/Package[libapache2-mod-php5]/ensure: ensure changed 'purged' to 'present'
==> default: Notice: /Stage[main]/Apache/File[/etc/apache2/ports.conf]/content: content changed '{md5}a961f23471d985c2b819b652b7f64321' to '{md5}99595fa56043c8ef840d69304c74e33b'
==> default: Info: /Stage[main]/Apache/File[/etc/apache2/ports.conf]: Scheduling refresh of Service[apache2]
==> default: Notice: /Stage[main]/Apache/File[/etc/apache2/conf-available/charset.conf]/ensure: removed
==> default: Notice: /Stage[main]/Apache/File[/etc/apache2/conf-available/javascript-common.conf]/ensure: removed
==> default: Notice: /Stage[main]/Apache/File[/etc/apache2/conf-available/localized-error-pages.conf]/ensure: removed
==> default: Notice: /Stage[main]/Apache/File[/etc/apache2/conf-available/other-vhosts-access-log.conf]/ensure: removed
==> default: Notice: /Stage[main]/Apache/File[/etc/apache2/conf-available/security.conf]/ensure: removed
==> default: Notice: /Stage[main]/Apache/File[/etc/apache2/conf-available/serve-cgi-bin.conf]/ensure: removed
==> default: Info: /etc/apache2/conf-available: Scheduling refresh of Service[apache2]
==> default: Notice: /Stage[main]/Apache/File[/etc/apache2/conf-enabled/charset.conf]/ensure: removed
==> default: Notice: /Stage[main]/Apache/File[/etc/apache2/conf-enabled/localized-error-pages.conf]/ensure: removed
==> default: Notice: /Stage[main]/Apache/File[/etc/apache2/conf-enabled/other-vhosts-access-log.conf]/ensure: removed
==> default: Notice: /Stage[main]/Apache/File[/etc/apache2/conf-enabled/security.conf]/ensure: removed
==> default: Notice: /Stage[main]/Apache/File[/etc/apache2/conf-enabled/serve-cgi-bin.conf]/ensure: removed
==> default: Info: /etc/apache2/conf-enabled: Scheduling refresh of Service[apache2]
==> default: Notice: /Stage[main]/Apache/File[/etc/apache2/env-available]/ensure: created
==> default: Info: /Stage[main]/Apache/File[/etc/apache2/env-available]: Scheduling refresh of Service[apache2]
==> default: Notice: /Stage[main]/Apache/File[/etc/apache2/env-enabled]/ensure: created
==> default: Info: /Stage[main]/Apache/File[/etc/apache2/env-enabled]: Scheduling refresh of Service[apache2]
==> default: Notice: /Stage[main]/Apache/File[/etc/apache2/sites-available/000-default.conf]/ensure: removed
==> default: Notice: /Stage[main]/Apache/File[/etc/apache2/sites-available/default-ssl.conf]/ensure: removed
==> default: Info: /etc/apache2/sites-available: Scheduling refresh of Service[apache2]
==> default: Notice: /Stage[main]/Apache/File[/etc/apache2/sites-enabled/000-default.conf]/ensure: removed
==> default: Info: /etc/apache2/sites-enabled: Scheduling refresh of Service[apache2]
==> default: Notice: /Stage[main]/Apache/File[/etc/apache2/site-confs]/ensure: created
==> default: Info: /Stage[main]/Apache/File[/etc/apache2/site-confs]: Scheduling refresh of Service[apache2]
==> default: Notice: /Stage[main]/Apache/File[/etc/apache2/envvars]/content: content changed '{md5}331419cf134c3cdce519b0d0f151cbc9' to '{md5}adf14ad862398d9eaab25c196ffb4f40'
==> default: Notice: /Stage[main]/Apache/File[/etc/apache2/envvars]/owner: owner changed 'root' to 'vagrant'
==> default: Notice: /Stage[main]/Apache/File[/etc/apache2/envvars]/group: group changed 'root' to 'www-data'
==> default: Notice: /Stage[main]/Apache/File[/etc/apache2/envvars]/mode: mode changed '0644' to '0777'
==> default: Info: /Stage[main]/Apache/File[/etc/apache2/envvars]: Scheduling refresh of Service[apache2]
==> default: Info: /Stage[main]/Apache/File[/etc/apache2/envvars]: Scheduling refresh of Service[apache2]
==> default: Info: /Stage[main]/Apache/File[/etc/apache2/envvars]: Scheduling refresh of Service[apache2]
==> default: Info: /Stage[main]/Apache/File[/etc/apache2/envvars]: Scheduling refresh of Service[apache2]
==> default: Notice: /Stage[main]/Php::Remote_debug/Package[php5-xdebug]/ensure: ensure changed 'purged' to 'present'
==> default: Notice: /Stage[main]/Php::Xhprof/Package[php5-xhprof]/ensure: ensure changed 'purged' to 'present'
==> default: Notice: /Stage[main]/Hhvm/Package[hhvm]/ensure: ensure changed 'purged' to 'latest'
==> default: Info: /Package[hhvm]: Scheduling refresh of Service[hhvm]
==> default: Notice: /Stage[main]/Hhvm/Package[hhvm-dev]/ensure: ensure changed 'purged' to 'latest'
==> default: Notice: /Stage[main]/Hhvm/Package[hhvm-luasandbox]/ensure: ensure changed 'purged' to 'latest'
==> default: Info: /Package[hhvm-luasandbox]: Scheduling refresh of Service[hhvm]
==> default: Notice: /Stage[main]/Hhvm/Package[hhvm-tidy]/ensure: ensure changed 'purged' to 'latest'
==> default: Info: /Package[hhvm-tidy]: Scheduling refresh of Service[hhvm]
==> default: Notice: /Stage[main]/Hhvm/Package[hhvm-wikidiff2]/ensure: ensure changed 'purged' to 'latest'
==> default: Info: /Package[hhvm-wikidiff2]: Scheduling refresh of Service[hhvm]
==> default: Notice: /Stage[main]/Hhvm/File[/etc/hhvm]/mode: mode changed '0755' to '0555'
==> default: Notice: /Stage[main]/Hhvm/File[/etc/hhvm/php.ini]/content: content changed '{md5}907676def0e613cabe1724b10ec5d82b' to '{md5}15f6bfbc3f1a9d0148f1e09fb2588e33'
==> default: Notice: /Stage[main]/Hhvm/File[/etc/hhvm/php.ini]/mode: mode changed '0644' to '0444'
==> default: Notice: /Stage[main]/Hhvm/File[/etc/hhvm/server.ini]/content: content changed '{md5}e0fbb8ecf04ab0de9b7d9e0b7fae514e' to '{md5}0cddb904dbd69be6818a830629faa575'
==> default: Notice: /Stage[main]/Hhvm/File[/etc/hhvm/server.ini]/mode: mode changed '0644' to '0444'
==> default: Info: /Stage[main]/Hhvm/File[/etc/hhvm/server.ini]: Scheduling refresh of Service[hhvm]
==> default: Info: /Stage[main]/Hhvm/File[/etc/hhvm/server.ini]: Scheduling refresh of Service[hhvm]
==> default: Notice: /Stage[main]/Hhvm/File[/etc/default/hhvm]/content: content changed '{md5}0ab40316d009ce8304461fb70dc1d5c7' to '{md5}6cbb3a562dc89c77e05dd4cb968bea25'
==> default: Notice: /Stage[main]/Hhvm/File[/etc/default/hhvm]/mode: mode changed '0644' to '0444'
==> default: Info: /Stage[main]/Hhvm/File[/etc/default/hhvm]: Scheduling refresh of Service[hhvm]
==> default: Info: /Stage[main]/Hhvm/File[/etc/default/hhvm]: Scheduling refresh of Service[hhvm]
==> default: Notice: /Stage[main]/Hhvm/File[/var/cache/hhvm/hhvm.hhbc]/mode: mode changed '0644' to '0666'
==> default: Notice: /Stage[main]/Hhvm/File[/var/cache/hhvm/fcgi.hhbc.sq3]/ensure: created
==> default: Notice: /Stage[main]/Npm/Package[nodejs]/ensure: ensure changed 'purged' to 'latest'
==> default: Notice: /Stage[main]/Npm/Exec[downgrade_npm]/returns: executed successfully
==> default: Notice: /Stage[main]/Mediawiki::Apache/File[/var/www/favicon.ico]/ensure: defined content as '{md5}b1d335c7c87c3d9b0693db6a5dc69d7b'
==> default: Notice: /Stage[main]/Mediawiki::Apache/File[/var/www/info.php]/ensure: defined content as '{md5}fb92f9147037f47dcf29c96dbc68154d'
==> default: Notice: /Stage[main]/Packages::Parallel/Package[parallel]/ensure: ensure changed 'purged' to 'present'
==> default: Notice: /Stage[main]/Postfix/Package[openssl]/ensure: ensure changed '1.0.1t-1+deb8u6' to '1.0.2k-1~wmf1'
==> default: Notice: /Stage[main]/Postfix/Package[postfix]/ensure: ensure changed 'purged' to 'present'
==> default: Notice: /Stage[main]/Postfix/File[/etc/postfix/main.cf]/content: content changed '{md5}f92a6eff0c268cafa86efe9deb2f9223' to '{md5}487c1c7332edce2a3fa48c2a35c278db'
==> default: Notice: /Stage[main]/Postfix/File[/etc/postfix/main.cf]/mode: mode changed '0644' to '0444'
==> default: Info: /Stage[main]/Postfix/File[/etc/postfix/main.cf]: Scheduling refresh of Service[postfix]
==> default: Info: /Stage[main]/Postfix/File[/etc/postfix/main.cf]: Scheduling refresh of Service[postfix]
==> default: Notice: /Stage[main]/Postfix/File[/etc/postfix/virtual]/ensure: defined content as '{md5}284c63d3df11d7b4c3d945150840f050'
==> default: Info: /Stage[main]/Postfix/File[/etc/postfix/virtual]: Scheduling refresh of Exec[postmap_virtual]
==> default: Notice: /Stage[main]/Postfix/Exec[postmap_virtual]: Triggered 'refresh' from 1 events
==> default: Info: /Stage[main]/Postfix/Exec[postmap_virtual]: Scheduling refresh of Service[postfix]
==> default: Notice: /Stage[main]/Postfix/Service[postfix]: Triggered 'refresh' from 3 events
==> default: Notice: /Stage[main]/Misc/Package[ack-grep]/ensure: ensure changed 'purged' to 'present'
==> default: Notice: /Stage[main]/Misc/Package[curl]/ensure: ensure changed 'purged' to 'present'
==> default: Notice: /Stage[main]/Misc/Package[htop]/ensure: ensure changed 'purged' to 'present'
==> default: Notice: /Stage[main]/Misc/Package[jq]/ensure: ensure changed 'purged' to 'present'
==> default: Notice: /Stage[main]/Misc/Package[vim]/ensure: ensure changed 'purged' to 'present'
==> default: Notice: /Stage[main]/Misc/File[/etc/ackrc]/ensure: defined content as '{md5}744cd26afe93f6ae5e3f04cee2bbc188'
==> default: Notice: /Stage[main]/Mysql::Packages/Package[mysql-server]/ensure: ensure changed 'purged' to 'present'
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/usr/local/bin/sql]/ensure: created
==> default: Notice: /Stage[main]/Mysql/Exec[set_mysql_password]/returns: executed successfully
==> default: Notice: /Stage[main]/Redis/Package[redis-server]/ensure: ensure changed 'purged' to 'present'
==> default: Notice: /Stage[main]/Redis/File[/srv/redis]/ensure: created
==> default: Notice: /Stage[main]/Redis/File[/etc/redis/redis.conf]/content: content changed '{md5}6a5f1063d73772d2da819fc1c13f3354' to '{md5}dedc5a2ff609b5cceadc08307646ad54'
==> default: Info: /Stage[main]/Redis/File[/etc/redis/redis.conf]: Scheduling refresh of Service[redis-server]
==> default: Notice: /Stage[main]/Redis/Service[redis-server]: Triggered 'refresh' from 1 events
==> default: Notice: /Stage[main]/Redis::Php/Package[php5-redis]/ensure: ensure changed 'purged' to 'present'
==> default: Info: /Package[php5-redis]: Scheduling refresh of Service[apache2]
==> default: Notice: /Stage[main]/Packages::Php5_tidy/Package[php5-tidy]/ensure: ensure changed 'purged' to 'present'
==> default: Notice: /Stage[main]/Packages::Tidy/Package[tidy]/ensure: ensure changed 'purged' to 'present'
==> default: Notice: /Stage[main]/Packages::Mailutils/Package[mailutils]/ensure: ensure changed 'purged' to 'present'
==> default: Notice: /Stage[main]/Php/Package[php-auth-sasl]/ensure: ensure changed 'purged' to 'present'
==> default: Notice: /Stage[main]/Php/Package[php-mail]/ensure: ensure changed 'purged' to 'present'
==> default: Notice: /Stage[main]/Php/Package[php-mail-mime]/ensure: ensure changed 'purged' to 'present'
==> default: Notice: /Stage[main]/Php/Package[php-net-smtp]/ensure: ensure changed 'purged' to 'present'
==> default: Notice: /Stage[main]/Php/Package[php5]/ensure: ensure changed 'purged' to 'present'
==> default: Notice: /Stage[main]/Php/Package[php5-apcu]/ensure: ensure changed 'purged' to 'present'
==> default: Notice: /Stage[main]/Php::Composer/Exec[download_composer]/returns: executed successfully
==> default: Notice: /Stage[main]/Php::Composer/File[/usr/local/bin/composer]/group: group changed 'staff' to 'root'
==> default: Notice: /Stage[main]/Php::Composer/File[/usr/local/bin/composer]/mode: mode changed '0644' to '0755'
==> default: Notice: /Stage[main]/Php::Composer/Exec[update_composer]/returns: executed successfully
==> default: Notice: /Stage[main]/Php/Package[php5-curl]/ensure: ensure changed 'purged' to 'present'
==> default: Notice: /Stage[main]/Php/Package[php5-dev]/ensure: ensure changed 'purged' to 'present'
==> default: Notice: /Stage[main]/Php/Package[php5-gd]/ensure: ensure changed 'purged' to 'present'
==> default: Notice: /Stage[main]/Php/Package[php5-intl]/ensure: ensure changed 'purged' to 'present'
==> default: Notice: /Stage[main]/Php/Package[php5-mcrypt]/ensure: ensure changed 'purged' to 'present'
==> default: Notice: /Stage[main]/Php/Package[php5-mysql]/ensure: ensure changed 'purged' to 'present'
==> default: Notice: /Stage[main]/Php/Package[php5-readline]/ensure: ensure changed 'purged' to 'present'
==> default: Notice: /Stage[main]/Php/Package[php5-sqlite]/ensure: ensure changed 'purged' to 'present'
==> default: Notice: /Stage[main]/Php::Sessionclean/File[/usr/lib/php5/sessionclean]/content: content changed '{md5}a9dd2fc185d5b7f4902c8d45798e6962' to '{md5}276db24518797f29f6bc3584be30cb43'
==> default: Notice: /Stage[main]/Php::Sessionclean/File[/etc/cron.d/php5]/content: content changed '{md5}40ec2e28d690c9bba276061deaea25b7' to '{md5}b9084c861dc98e206fae69f7e3bad026'
==> default: Notice: /Stage[main]/Rsyslog/File[/etc/rsyslog.d/README]/ensure: defined content as '{md5}3d21c7747fe11d9e5679d67b5a212df1'
==> default: Notice: /Stage[main]/Rsyslog/File[/etc/rsyslog.d/postfix.conf]/ensure: removed
==> default: Info: /etc/rsyslog.d: Scheduling refresh of Service[rsyslog]
==> default: Notice: /Stage[main]/Apache/Rsyslog::Conf[apache]/File[/etc/rsyslog.d/40-apache.conf]/ensure: defined content as '{md5}a8d7f449c8ce1164b24d498420404ad1'
==> default: Info: /Stage[main]/Apache/Rsyslog::Conf[apache]/File[/etc/rsyslog.d/40-apache.conf]: Scheduling refresh of Service[rsyslog]
==> default: Notice: /Stage[main]/Php::Remote_debug/Php::Ini[remote_debug]/File[/etc/php5/mods-available/_remote_debug.ini]/ensure: defined content as '{md5}f1115221d2629974b905dc37476797a1'
==> default: Info: /Stage[main]/Php::Remote_debug/Php::Ini[remote_debug]/File[/etc/php5/mods-available/_remote_debug.ini]: Scheduling refresh of Service[apache2]
==> default: Info: /Stage[main]/Php::Remote_debug/Php::Ini[remote_debug]/File[/etc/php5/mods-available/_remote_debug.ini]: Scheduling refresh of Exec[/usr/sbin/php5enmod -s ALL _remote_debug]
==> default: Notice: /Stage[main]/Php::Remote_debug/Php::Ini[remote_debug]/Exec[/usr/sbin/php5enmod -s ALL _remote_debug]: Triggered 'refresh' from 1 events
==> default: Notice: /Stage[main]/Php::Xhprof/Php::Ini[xhprof_enable]/File[/etc/php5/mods-available/_xhprof_enable.ini]/ensure: defined content as '{md5}40b70aadb08cf59d6592d882a2381f01'
==> default: Info: /Stage[main]/Php::Xhprof/Php::Ini[xhprof_enable]/File[/etc/php5/mods-available/_xhprof_enable.ini]: Scheduling refresh of Service[apache2]
==> default: Info: /Stage[main]/Php::Xhprof/Php::Ini[xhprof_enable]/File[/etc/php5/mods-available/_xhprof_enable.ini]: Scheduling refresh of Exec[/usr/sbin/php5enmod -s ALL _xhprof_enable]
==> default: Notice: /Stage[main]/Php::Xhprof/Php::Ini[xhprof_enable]/Exec[/usr/sbin/php5enmod -s ALL _xhprof_enable]: Triggered 'refresh' from 1 events
==> default: Notice: /Stage[main]/Php/Php::Ini[debug_output]/File[/etc/php5/mods-available/_debug_output.ini]/ensure: defined content as '{md5}d063cce793713a4e99892c1076fcaa4c'
==> default: Info: /Stage[main]/Php/Php::Ini[debug_output]/File[/etc/php5/mods-available/_debug_output.ini]: Scheduling refresh of Service[apache2]
==> default: Info: /Stage[main]/Php/Php::Ini[debug_output]/File[/etc/php5/mods-available/_debug_output.ini]: Scheduling refresh of Exec[/usr/sbin/php5enmod -s ALL _debug_output]
==> default: Notice: /Stage[main]/Php/Php::Ini[debug_output]/Exec[/usr/sbin/php5enmod -s ALL _debug_output]: Triggered 'refresh' from 1 events
==> default: Notice: /Stage[main]/Php/Php::Ini[date_timezone]/File[/etc/php5/mods-available/_date_timezone.ini]/ensure: defined content as '{md5}51d20eabbc6359191860ec1b0dd8f43a'
==> default: Info: /Stage[main]/Php/Php::Ini[date_timezone]/File[/etc/php5/mods-available/_date_timezone.ini]: Scheduling refresh of Service[apache2]
==> default: Info: /Stage[main]/Php/Php::Ini[date_timezone]/File[/etc/php5/mods-available/_date_timezone.ini]: Scheduling refresh of Exec[/usr/sbin/php5enmod -s ALL _date_timezone]
==> default: Notice: /Stage[main]/Php/Php::Ini[date_timezone]/Exec[/usr/sbin/php5enmod -s ALL _date_timezone]: Triggered 'refresh' from 1 events
==> default: Notice: /Stage[main]/Php/Php::Ini[session_defaults]/File[/etc/php5/mods-available/_session_defaults.ini]/ensure: defined content as '{md5}7236471110ece2bbd4ff508af9030132'
==> default: Info: /Stage[main]/Php/Php::Ini[session_defaults]/File[/etc/php5/mods-available/_session_defaults.ini]: Scheduling refresh of Service[apache2]
==> default: Info: /Stage[main]/Php/Php::Ini[session_defaults]/File[/etc/php5/mods-available/_session_defaults.ini]: Scheduling refresh of Exec[/usr/sbin/php5enmod -s ALL _session_defaults]
==> default: Notice: /Stage[main]/Php/Php::Ini[session_defaults]/Exec[/usr/sbin/php5enmod -s ALL _session_defaults]: Triggered 'refresh' from 1 events
==> default: Notice: /Stage[main]/Php/Php::Ini[opcache_validate_timestamps]/File[/etc/php5/mods-available/_opcache_validate_timestamps.ini]/ensure: defined content as '{md5}d967cccdfe74b2a848a0741d66af10a4'
==> default: Info: /Stage[main]/Php/Php::Ini[opcache_validate_timestamps]/File[/etc/php5/mods-available/_opcache_validate_timestamps.ini]: Scheduling refresh of Service[apache2]
==> default: Info: /Stage[main]/Php/Php::Ini[opcache_validate_timestamps]/File[/etc/php5/mods-available/_opcache_validate_timestamps.ini]: Scheduling refresh of Exec[/usr/sbin/php5enmod -s ALL _opcache_validate_timestamps]
==> default: Notice: /Stage[main]/Php/Php::Ini[opcache_validate_timestamps]/Exec[/usr/sbin/php5enmod -s ALL _opcache_validate_timestamps]: Triggered 'refresh' from 1 events
==> default: Notice: /Stage[main]/Php/Php::Ini[opcache_revalidate_freq]/File[/etc/php5/mods-available/_opcache_revalidate_freq.ini]/ensure: defined content as '{md5}3374b27a6af73047a312d879c5430280'
==> default: Info: /Stage[main]/Php/Php::Ini[opcache_revalidate_freq]/File[/etc/php5/mods-available/_opcache_revalidate_freq.ini]: Scheduling refresh of Service[apache2]
==> default: Info: /Stage[main]/Php/Php::Ini[opcache_revalidate_freq]/File[/etc/php5/mods-available/_opcache_revalidate_freq.ini]: Scheduling refresh of Exec[/usr/sbin/php5enmod -s ALL _opcache_revalidate_freq]
==> default: Notice: /Stage[main]/Php/Php::Ini[opcache_revalidate_freq]/Exec[/usr/sbin/php5enmod -s ALL _opcache_revalidate_freq]: Triggered 'refresh' from 1 events
==> default: Notice: /Stage[main]/Apache::Mod::Proxy_fcgi/Apache::Mod_conf[proxy_fcgi]/Exec[ensure_present_mod_proxy_fcgi]/returns: executed successfully
==> default: Info: /Stage[main]/Apache::Mod::Proxy_fcgi/Apache::Mod_conf[proxy_fcgi]/Exec[ensure_present_mod_proxy_fcgi]: Scheduling refresh of Service[apache2]
==> default: Notice: /Stage[main]/Hhvm/Rsyslog::Conf[hhvm]/File[/etc/rsyslog.d/40-hhvm.conf]/ensure: created
==> default: Info: /Stage[main]/Hhvm/Rsyslog::Conf[hhvm]/File[/etc/rsyslog.d/40-hhvm.conf]: Scheduling refresh of Service[rsyslog]
==> default: Notice: /Stage[main]/Rsyslog/Service[rsyslog]: Triggered 'refresh' from 3 events
==> default: Notice: /Stage[main]/Npm/Env::Var[NPM_CONFIG_CACHE]/File[/etc/profile.d/set_NPM_CONFIG_CACHE.sh]/ensure: created
==> default: Notice: /Stage[main]/Service/File[/etc/mw-vagrant/services]/ensure: created
==> default: Notice: /Stage[main]/Service/File[/etc/mw-vagrant/services/.gitignore]/ensure: defined content as '{md5}d41d8cd98f00b204e9800998ecf8427e'
==> default: Notice: /Stage[main]/Arcanist/Service::Gitupdate[libphutil]/File[/etc/mw-vagrant/services/libphutil.conf]/ensure: created
==> default: Notice: /Stage[main]/Arcanist/Service::Gitupdate[arcanist]/File[/etc/mw-vagrant/services/arcanist.conf]/ensure: created
==> default: Notice: /Stage[main]/Apache::Mod::Rewrite/Apache::Mod_conf[rewrite]/Exec[ensure_present_mod_rewrite]/returns: executed successfully
==> default: Info: /Stage[main]/Apache::Mod::Rewrite/Apache::Mod_conf[rewrite]/Exec[ensure_present_mod_rewrite]: Scheduling refresh of Service[apache2]
==> default: Notice: /Stage[main]/Apache::Mod::Headers/Apache::Mod_conf[headers]/Exec[ensure_present_mod_headers]/returns: executed successfully
==> default: Info: /Stage[main]/Apache::Mod::Headers/Apache::Mod_conf[headers]/Exec[ensure_present_mod_headers]: Scheduling refresh of Service[apache2]
==> default: Notice: /Stage[main]/Apache/Apache::Conf[disable sendfile]/File[/etc/apache2/conf-available/50-disable-sendfile.conf]/ensure: created
==> default: Notice: /Stage[main]/Apache/Apache::Conf[disable sendfile]/File[/etc/apache2/conf-enabled/50-disable-sendfile.conf]/ensure: created
==> default: Info: /Stage[main]/Apache/Apache::Conf[disable sendfile]/File[/etc/apache2/conf-enabled/50-disable-sendfile.conf]: Scheduling refresh of Service[apache2]
==> default: Notice: /Stage[main]/Apache/Apache::Conf[errors to syslog]/File[/etc/apache2/conf-available/50-errors-to-syslog.conf]/ensure: created
==> default: Notice: /Stage[main]/Apache/Apache::Conf[errors to syslog]/File[/etc/apache2/conf-enabled/50-errors-to-syslog.conf]/ensure: created
==> default: Info: /Stage[main]/Apache/Apache::Conf[errors to syslog]/File[/etc/apache2/conf-enabled/50-errors-to-syslog.conf]: Scheduling refresh of Service[apache2]
==> default: Notice: /Stage[main]/Apache::Mod::Proxy_fcgi/Apache::Conf[fcgi_headers]/File[/etc/apache2/conf-available/00-fcgi-headers.conf]/ensure: defined content as '{md5}ea4ac38ac1e2779cb56d9fcfa0a194b2'
==> default: Notice: /Stage[main]/Apache::Mod::Proxy_fcgi/Apache::Conf[fcgi_headers]/File[/etc/apache2/conf-enabled/00-fcgi-headers.conf]/ensure: created
==> default: Info: /Stage[main]/Apache::Mod::Proxy_fcgi/Apache::Conf[fcgi_headers]/File[/etc/apache2/conf-enabled/00-fcgi-headers.conf]: Scheduling refresh of Service[apache2]
==> default: Notice: /Stage[main]/Hhvm/Apache::Site[hhvm_admin]/File[/etc/apache2/site-confs/hhvm-admin]/ensure: created
==> default: Notice: /Stage[main]/Hhvm/Apache::Site[hhvm_admin]/File[/etc/apache2/site-confs/hhvm-admin/00-default.conf]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Apache/Apache::Site[devwiki]/File[/etc/apache2/site-confs/devwiki]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Apache/Apache::Site[devwiki]/File[/etc/apache2/site-confs/devwiki/00-default.conf]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Apache/Apache::Site[php5-devwiki]/File[/etc/apache2/site-confs/php5-devwiki]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Apache/Apache::Site[php5-devwiki]/File[/etc/apache2/site-confs/php5-devwiki/00-default.conf]/ensure: created
==> default: Notice: /Stage[main]/Motd/File[/etc/update-motd.d]/ensure: created
==> default: Info: /Stage[main]/Motd/File[/etc/update-motd.d]: Scheduling refresh of Exec[update_motd]
==> default: Notice: /Stage[main]/Misc/Motd::Script[mediawiki_vagrant]/File[/etc/update-motd.d/50-mediawiki-vagrant]/ensure: defined content as '{md5}00d6415792acd96e9c10f4b9de7e3a00'
==> default: Info: /Stage[main]/Misc/Motd::Script[mediawiki_vagrant]/File[/etc/update-motd.d/50-mediawiki-vagrant]: Scheduling refresh of Exec[update_motd]
==> default: Notice: /Stage[main]/Motd/Exec[update_motd]: Triggered 'refresh' from 2 events
==> default: Notice: /Stage[main]/Misc/Env::Profile_script[xdebug]/File[/etc/profile.d/50-xdebug.sh]/ensure: created
==> default: Notice: /Stage[main]/Hhvm/Apache::Site[hhvm_admin]/Apache::Conf[hhvm-admin]/File[/etc/apache2/sites-available/50-hhvm-admin.conf]/ensure: created
==> default: Notice: /Stage[main]/Hhvm/Apache::Site[hhvm_admin]/Apache::Conf[hhvm-admin]/File[/etc/apache2/sites-enabled/50-hhvm-admin.conf]/ensure: created
==> default: Info: /Stage[main]/Hhvm/Apache::Site[hhvm_admin]/Apache::Conf[hhvm-admin]/File[/etc/apache2/sites-enabled/50-hhvm-admin.conf]: Scheduling refresh of Service[apache2]
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/vagrant/settings.d/wikis]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/vagrant/settings.d/wikis/CommonSettings.php]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/vagrant/settings.d/wikis/LoadWgConf.php]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/vagrant/settings.d/wikis/dbConf]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/vagrant/settings.d/wikis/dbConf/README]/ensure: defined content as '{md5}b224338c33cb68b1f152834e2ce2c066'
==> default: Notice: /Stage[main]/Mediawiki/File[/var/cache/mediawiki]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki/File[/srv/pages]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki/File[/srv/pages/wiki]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki/File[/var/www/mediawiki-vagrant.png]/ensure: defined content as '{md5}f9afb7d19e39247820bc1e81883a96f7'
==> default: Notice: /Stage[main]/Mediawiki/File[/var/www/mediawiki-vagrant-1.5x.png]/ensure: defined content as '{md5}d89a336d6c075341e62bcf1ec809d30c'
==> default: Notice: /Stage[main]/Mediawiki/File[/var/www/mediawiki-vagrant-2x.png]/ensure: defined content as '{md5}e06017705f63d9b9ad24576a1bfee4a3'
==> default: Notice: /Stage[main]/Mediawiki/File[/usr/local/bin/run-mediawiki-tests]/ensure: defined content as '{md5}cb1918d4464e50c256399b91c411bb05'
==> default: Notice: /Stage[main]/Mediawiki/File[/usr/local/bin/run-git-update]/ensure: defined content as '{md5}42ba0255228db2002e2f0237aa4f7f0a'
==> default: Notice: /Stage[main]/Mediawiki/File[/usr/local/bin/import-mediawiki-dump]/ensure: defined content as '{md5}73c7466d52c526eea51d4f196eefb86d'
==> default: Notice: /Stage[main]/Mediawiki/File[/usr/local/bin/export-mediawiki-dump]/ensure: defined content as '{md5}120b3201898c77d4fb846e7ab557a46a'
==> default: Notice: /Stage[main]/Mediawiki/File[/vagrant/settings.d/composer]/ensure: created
==> default: Info: /Stage[main]/Mediawiki/File[/vagrant/settings.d/composer]: Scheduling refresh of Exec[composer update /vagrant/mediawiki]
==> default: Notice: /Stage[main]/Mediawiki/File[/etc/logrotate.d/mediawiki_shared_log_groups]/ensure: defined content as '{md5}f9b47a4c9043d00f163ec44d2d502c11'
==> default: Notice: /Stage[main]/Mediawiki/Git::Clone[mediawiki/core]/Exec[git_clone_mediawiki/core]/returns: fatal: destination path '/vagrant/mediawiki' already exists and is not an empty directory.
==> default: Error: /usr/bin/git -c http.postBuffer=2098576000 clone --recurse-submodules  --branch 'master' --single-branch https://gerrit.wikimedia.org/r/p/mediawiki/core.git /vagrant/mediawiki returned 128 instead of one of [0]
==> default: Error: /Stage[main]/Mediawiki/Git::Clone[mediawiki/core]/Exec[git_clone_mediawiki/core]/returns: change from notrun to 0 failed: /usr/bin/git -c http.postBuffer=2098576000 clone --recurse-submodules  --branch 'master' --single-branch https://gerrit.wikimedia.org/r/p/mediawiki/core.git /vagrant/mediawiki returned 128 instead of one of [0]
==> default: Notice: /Stage[main]/Mediawiki/File[/vagrant/mediawiki/composer.local.json]: Dependency Exec[git_clone_mediawiki/core] has failures: true
==> default: Warning: /Stage[main]/Mediawiki/File[/vagrant/mediawiki/composer.local.json]: Skipping because of failed dependencies
==> default: Notice: /Stage[main]/Mediawiki/Env::Var[MW_INSTALL_PATH]/File[/etc/profile.d/set_MW_INSTALL_PATH.sh]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki/Php::Composer::Install[/vagrant/mediawiki]/Exec[composer-install--vagrant-mediawiki]: Dependency Exec[git_clone_mediawiki/core] has failures: true
==> default: Warning: /Stage[main]/Mediawiki/Php::Composer::Install[/vagrant/mediawiki]/Exec[composer-install--vagrant-mediawiki]: Skipping because of failed dependencies
==> default: Notice: /Stage[main]/Mediawiki/Exec[composer update /vagrant/mediawiki]: Dependency Exec[git_clone_mediawiki/core] has failures: true
==> default: Warning: /Stage[main]/Mediawiki/Exec[composer update /vagrant/mediawiki]: Skipping because of failed dependencies
==> default: Notice: /Stage[main]/Mediawiki/Exec[composer update /vagrant/mediawiki]: Triggered 'refresh' from 1 events
==> default: Notice: /Stage[main]/Mediawiki/Env::Profile_script[add mediawiki vendor bin to path]/File[/etc/profile.d/50-add-mediawiki-vendor-bin-to-path.sh]/ensure: created
==> default: Notice: /Stage[main]/Role::Monobook/Mediawiki::Skin[MonoBook]/Git::Clone[mediawiki/skins/MonoBook]/File[/vagrant/mediawiki/skins/MonoBook]: Dependency Exec[git_clone_mediawiki/core] has failures: true
==> default: Warning: /Stage[main]/Role::Monobook/Mediawiki::Skin[MonoBook]/Git::Clone[mediawiki/skins/MonoBook]/File[/vagrant/mediawiki/skins/MonoBook]: Skipping because of failed dependencies
==> default: Notice: /Stage[main]/Role::Monobook/Mediawiki::Skin[MonoBook]/Git::Clone[mediawiki/skins/MonoBook]/Exec[git_clone_mediawiki/skins/MonoBook]: Dependency Exec[git_clone_mediawiki/core] has failures: true
==> default: Warning: /Stage[main]/Role::Monobook/Mediawiki::Skin[MonoBook]/Git::Clone[mediawiki/skins/MonoBook]/Exec[git_clone_mediawiki/skins/MonoBook]: Skipping because of failed dependencies
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/Mysql::Db[wikishared]/Mysql::Sql[create database wikishared ]/Exec[create database wikishared ]/returns: executed successfully
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/Mysql::User[wikiadmin]/Mysql::Sql[create user wikiadmin]/Exec[create user wikiadmin]/returns: executed successfully
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/Mysql::User[extensionadmin]/Mysql::Sql[create user extensionadmin]/Exec[create user extensionadmin]/returns: executed successfully
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/File[/srv/images]: Dependency Exec[git_clone_mediawiki/core] has failures: true
==> default: Warning: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/File[/srv/images]: Skipping because of failed dependencies
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/File[/var/cache/mediawiki/devwiki]: Dependency Exec[git_clone_mediawiki/core] has failures: true
==> default: Warning: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/File[/var/cache/mediawiki/devwiki]: Skipping because of failed dependencies
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/Exec[update_wiki_database]: Dependency Exec[git_clone_mediawiki/core] has failures: true
==> default: Warning: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/Exec[update_wiki_database]: Skipping because of failed dependencies
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/File[/vagrant/settings.d/wikis/dbConf/10-wiki-dbConf.php]: Dependency Exec[git_clone_mediawiki/core] has failures: true
==> default: Warning: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/File[/vagrant/settings.d/wikis/dbConf/10-wiki-dbConf.php]: Skipping because of failed dependencies
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/File[/vagrant/settings.d/wikis/wiki]: Dependency Exec[git_clone_mediawiki/core] has failures: true
==> default: Warning: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/File[/vagrant/settings.d/wikis/wiki]: Skipping because of failed dependencies
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/File[/vagrant/settings.d/wikis/wiki/wgConf.php]: Dependency Exec[git_clone_mediawiki/core] has failures: true
==> default: Warning: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/File[/vagrant/settings.d/wikis/wiki/wgConf.php]: Skipping because of failed dependencies
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/File[/etc/logrotate.d/mediawiki_wiki_debug_log]: Dependency Exec[git_clone_mediawiki/core] has failures: true
==> default: Warning: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/File[/etc/logrotate.d/mediawiki_wiki_debug_log]: Skipping because of failed dependencies
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/File[/vagrant/settings.d/wikis/wiki/settings.d]: Dependency Exec[git_clone_mediawiki/core] has failures: true
==> default: Warning: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/File[/vagrant/settings.d/wikis/wiki/settings.d]: Skipping because of failed dependencies
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/File[/vagrant/settings.d/wikis/wiki/settings.d/puppet-managed]: Dependency Exec[git_clone_mediawiki/core] has failures: true
==> default: Warning: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/File[/vagrant/settings.d/wikis/wiki/settings.d/puppet-managed]: Skipping because of failed dependencies
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/File[/vagrant/settings.d/wikis/wiki/settings.d/puppet-managed/README]: Dependency Exec[git_clone_mediawiki/core] has failures: true
==> default: Warning: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/File[/vagrant/settings.d/wikis/wiki/settings.d/puppet-managed/README]: Skipping because of failed dependencies
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/File[/srv/pages/wiki/wiki]: Dependency Exec[git_clone_mediawiki/core] has failures: true
==> default: Warning: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/File[/srv/pages/wiki/wiki]: Skipping because of failed dependencies
==> default: Notice: /Stage[main]/Role::Monobook/Mediawiki::Skin[MonoBook]/Mediawiki::Settings[MonoBook]/File[/vagrant/settings.d/puppet-managed/10-MonoBook.php]: Dependency Exec[git_clone_mediawiki/core] has failures: true
==> default: Warning: /Stage[main]/Role::Monobook/Mediawiki::Skin[MonoBook]/Mediawiki::Settings[MonoBook]/File[/vagrant/settings.d/puppet-managed/10-MonoBook.php]: Skipping because of failed dependencies
==> default: Notice: /Stage[main]/Mediawiki::Apache/Apache::Site[devwiki]/Apache::Conf[devwiki]/File[/etc/apache2/sites-available/50-devwiki.conf]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Apache/Apache::Site[devwiki]/Apache::Conf[devwiki]/File[/etc/apache2/sites-enabled/50-devwiki.conf]/ensure: created
==> default: Info: /Stage[main]/Mediawiki::Apache/Apache::Site[devwiki]/Apache::Conf[devwiki]/File[/etc/apache2/sites-enabled/50-devwiki.conf]: Scheduling refresh of Service[apache2]
==> default: Notice: /Stage[main]/Mediawiki::Apache/Apache::Site[php5-devwiki]/Apache::Conf[php5-devwiki]/File[/etc/apache2/sites-available/50-php5-devwiki.conf]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Apache/Apache::Site[php5-devwiki]/Apache::Conf[php5-devwiki]/File[/etc/apache2/sites-enabled/50-php5-devwiki.conf]/ensure: created
==> default: Info: /Stage[main]/Mediawiki::Apache/Apache::Site[php5-devwiki]/Apache::Conf[php5-devwiki]/File[/etc/apache2/sites-enabled/50-php5-devwiki.conf]: Scheduling refresh of Service[apache2]
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Skin[Vector]/Git::Clone[mediawiki/skins/Vector]/File[/vagrant/mediawiki/skins/Vector]: Dependency Exec[git_clone_mediawiki/core] has failures: true
==> default: Warning: /Stage[main]/Mediawiki/Mediawiki::Skin[Vector]/Git::Clone[mediawiki/skins/Vector]/File[/vagrant/mediawiki/skins/Vector]: Skipping because of failed dependencies
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Skin[Vector]/Git::Clone[mediawiki/skins/Vector]/Exec[git_clone_mediawiki/skins/Vector]: Dependency Exec[git_clone_mediawiki/core] has failures: true
==> default: Warning: /Stage[main]/Mediawiki/Mediawiki::Skin[Vector]/Git::Clone[mediawiki/skins/Vector]/Exec[git_clone_mediawiki/skins/Vector]: Skipping because of failed dependencies
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Skin[Vector]/Mediawiki::Settings[Vector]/File[/vagrant/settings.d/puppet-managed/10-Vector.php]: Dependency Exec[git_clone_mediawiki/core] has failures: true
==> default: Warning: /Stage[main]/Mediawiki/Mediawiki::Skin[Vector]/Mediawiki::Settings[Vector]/File[/vagrant/settings.d/puppet-managed/10-Vector.php]: Skipping because of failed dependencies
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/Mysql::Sql[wikiadmin_full_priv_wiki]/Exec[wikiadmin_full_priv_wiki]: Dependency Exec[git_clone_mediawiki/core] has failures: true
==> default: Warning: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/Mysql::Sql[wikiadmin_full_priv_wiki]/Exec[wikiadmin_full_priv_wiki]: Skipping because of failed dependencies
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/Exec[wiki_setup]: Dependency Exec[git_clone_mediawiki/core] has failures: true
==> default: Warning: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/Exec[wiki_setup]: Skipping because of failed dependencies
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/Exec[wiki_include_extra_settings]: Dependency Exec[git_clone_mediawiki/core] has failures: true
==> default: Warning: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/Exec[wiki_include_extra_settings]: Skipping because of failed dependencies
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/Exec[wiki_copy_LocalSettings]: Dependency Exec[git_clone_mediawiki/core] has failures: true
==> default: Warning: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/Exec[wiki_copy_LocalSettings]: Skipping because of failed dependencies
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Main_Page]/File[/srv/pages/wiki/wiki/Main_Page]: Dependency Exec[git_clone_mediawiki/core] has failures: true
==> default: Warning: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Main_Page]/File[/srv/pages/wiki/wiki/Main_Page]: Skipping because of failed dependencies
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Template:Main_Page]/File[/srv/pages/wiki/wiki/Template:Main_Page]: Dependency Exec[git_clone_mediawiki/core] has failures: true
==> default: Warning: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Template:Main_Page]/File[/srv/pages/wiki/wiki/Template:Main_Page]: Skipping because of failed dependencies
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/Apache::Site_conf[devwiki_images]/File[/etc/apache2/site-confs/devwiki/50-devwiki-images.conf]: Dependency Exec[git_clone_mediawiki/core] has failures: true
==> default: Warning: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/Apache::Site_conf[devwiki_images]/File[/etc/apache2/site-confs/devwiki/50-devwiki-images.conf]: Skipping because of failed dependencies
==> default: Notice: /Stage[main]/Apache/Service[apache2]: Dependency Exec[git_clone_mediawiki/core] has failures: true
==> default: Warning: /Stage[main]/Apache/Service[apache2]: Skipping because of failed dependencies
==> default: Notice: /Stage[main]/Apache/Service[apache2]: Triggered 'refresh' from 30 events
==> default: Notice: /Stage[main]/Mediawiki::Ready_service/Systemd::Service[mediawiki-ready]/File[/lib/systemd/system/mediawiki-ready.service]: Dependency Exec[git_clone_mediawiki/core] has failures: true
==> default: Warning: /Stage[main]/Mediawiki::Ready_service/Systemd::Service[mediawiki-ready]/File[/lib/systemd/system/mediawiki-ready.service]: Skipping because of failed dependencies
==> default: Notice: /Stage[main]/Mediawiki::Ready_service/Systemd::Service[mediawiki-ready]/Exec[systemd reload for mediawiki-ready]: Dependency Exec[git_clone_mediawiki/core] has failures: true
==> default: Warning: /Stage[main]/Mediawiki::Ready_service/Systemd::Service[mediawiki-ready]/Exec[systemd reload for mediawiki-ready]: Skipping because of failed dependencies
==> default: Notice: /Stage[main]/Mediawiki::Ready_service/Systemd::Service[mediawiki-ready]/Service[mediawiki-ready]: Dependency Exec[git_clone_mediawiki/core] has failures: true
==> default: Warning: /Stage[main]/Mediawiki::Ready_service/Systemd::Service[mediawiki-ready]/Service[mediawiki-ready]: Skipping because of failed dependencies
==> default: Notice: /Stage[main]/Hhvm::Fcgi/Systemd::Service[hhvm]/File[/etc/systemd/system/hhvm.service.d]: Dependency Exec[git_clone_mediawiki/core] has failures: true
==> default: Warning: /Stage[main]/Hhvm::Fcgi/Systemd::Service[hhvm]/File[/etc/systemd/system/hhvm.service.d]: Skipping because of failed dependencies
==> default: Notice: /Stage[main]/Hhvm::Fcgi/Systemd::Service[hhvm]/File[/etc/systemd/system/hhvm.service.d/puppet-override.conf]: Dependency Exec[git_clone_mediawiki/core] has failures: true
==> default: Warning: /Stage[main]/Hhvm::Fcgi/Systemd::Service[hhvm]/File[/etc/systemd/system/hhvm.service.d/puppet-override.conf]: Skipping because of failed dependencies
==> default: Notice: /Stage[main]/Hhvm::Fcgi/Systemd::Service[hhvm]/Exec[systemd reload for hhvm]: Dependency Exec[git_clone_mediawiki/core] has failures: true
==> default: Warning: /Stage[main]/Hhvm::Fcgi/Systemd::Service[hhvm]/Exec[systemd reload for hhvm]: Skipping because of failed dependencies
==> default: Notice: /Stage[main]/Hhvm::Fcgi/Systemd::Service[hhvm]/Service[hhvm]: Dependency Exec[git_clone_mediawiki/core] has failures: true
==> default: Warning: /Stage[main]/Hhvm::Fcgi/Systemd::Service[hhvm]/Service[hhvm]: Skipping because of failed dependencies
==> default: Notice: /Stage[main]/Hhvm::Fcgi/Systemd::Service[hhvm]/Service[hhvm]: Triggered 'refresh' from 8 events
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Group[devwiki_suppress]/Mediawiki::Settings[devwiki_suppress_group]/File[/vagrant/settings.d/wikis/wiki/settings.d/puppet-managed/10-devwiki_suppress_group.php]: Dependency Exec[git_clone_mediawiki/core] has failures: true
==> default: Warning: /Stage[main]/Mediawiki/Mediawiki::Group[devwiki_suppress]/Mediawiki::Settings[devwiki_suppress_group]/File[/vagrant/settings.d/wikis/wiki/settings.d/puppet-managed/10-devwiki_suppress_group.php]: Skipping because of failed dependencies
==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]: Dependency Exec[git_clone_mediawiki/core] has failures: true
==> default: Warning: /Stage[main]/Mediawiki/Exec[update_all_databases]: Skipping because of failed dependencies
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::User[admin_user_in_steward_suppress_on_wiki]/Mediawiki::Maintenance[mediawiki_user_Admin_wiki]/Exec[mediawiki_user_Admin_wiki]: Dependency Exec[git_clone_mediawiki/core] has failures: true
==> default: Warning: /Stage[main]/Mediawiki/Mediawiki::User[admin_user_in_steward_suppress_on_wiki]/Mediawiki::Maintenance[mediawiki_user_Admin_wiki]/Exec[mediawiki_user_Admin_wiki]: Skipping because of failed dependencies
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::User[admin_user_in_steward_suppress_on_wiki]/Mediawiki::Maintenance[mediawiki_user_Admin_wiki_steward,suppress]/Exec[mediawiki_user_Admin_wiki_steward,suppress]: Dependency Exec[git_clone_mediawiki/core] has failures: true
==> default: Warning: /Stage[main]/Mediawiki/Mediawiki::User[admin_user_in_steward_suppress_on_wiki]/Mediawiki::Maintenance[mediawiki_user_Admin_wiki_steward,suppress]/Exec[mediawiki_user_Admin_wiki_steward,suppress]: Skipping because of failed dependencies
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Main_Page]/Mediawiki::Maintenance[add page devwiki/Main_Page]/Exec[add page devwiki/Main_Page]: Dependency Exec[git_clone_mediawiki/core] has failures: true
==> default: Warning: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Main_Page]/Mediawiki::Maintenance[add page devwiki/Main_Page]/Exec[add page devwiki/Main_Page]: Skipping because of failed dependencies
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Template:Main_Page]/Mediawiki::Maintenance[add page devwiki/Template:Main_Page]/Exec[add page devwiki/Template:Main_Page]: Dependency Exec[git_clone_mediawiki/core] has failures: true
==> default: Warning: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Template:Main_Page]/Mediawiki::Maintenance[add page devwiki/Template:Main_Page]/Exec[add page devwiki/Template:Main_Page]: Skipping because of failed dependencies
==> default: Notice: /Stage[main]/Mediawiki::Jobrunner/File[/etc/default/jobrunner]: Dependency Exec[git_clone_mediawiki/core] has failures: true
==> default: Warning: /Stage[main]/Mediawiki::Jobrunner/File[/etc/default/jobrunner]: Skipping because of failed dependencies
==> default: Notice: /Stage[main]/Mediawiki::Jobrunner/File[/etc/jobrunner.json]: Dependency Exec[git_clone_mediawiki/core] has failures: true
==> default: Warning: /Stage[main]/Mediawiki::Jobrunner/File[/etc/jobrunner.json]: Skipping because of failed dependencies
==> default: Notice: /Stage[main]/Mediawiki::Jobrunner/File[/etc/logrotate.d/mediawiki_jobrunner]: Dependency Exec[git_clone_mediawiki/core] has failures: true
==> default: Warning: /Stage[main]/Mediawiki::Jobrunner/File[/etc/logrotate.d/mediawiki_jobrunner]: Skipping because of failed dependencies
==> default: Notice: /Stage[main]/Mediawiki::Jobrunner/File[/etc/logrotate.d/mediawiki_jobchron]: Dependency Exec[git_clone_mediawiki/core] has failures: true
==> default: Warning: /Stage[main]/Mediawiki::Jobrunner/File[/etc/logrotate.d/mediawiki_jobchron]: Skipping because of failed dependencies
==> default: Notice: /Stage[main]/Mediawiki::Jobrunner/Git::Clone[mediawiki/services/jobrunner]/File[/vagrant/srv/jobrunner]: Dependency Exec[git_clone_mediawiki/core] has failures: true
==> default: Warning: /Stage[main]/Mediawiki::Jobrunner/Git::Clone[mediawiki/services/jobrunner]/File[/vagrant/srv/jobrunner]: Skipping because of failed dependencies
==> default: Notice: /Stage[main]/Mediawiki::Jobrunner/Git::Clone[mediawiki/services/jobrunner]/Exec[git_clone_mediawiki/services/jobrunner]: Dependency Exec[git_clone_mediawiki/core] has failures: true
==> default: Warning: /Stage[main]/Mediawiki::Jobrunner/Git::Clone[mediawiki/services/jobrunner]/Exec[git_clone_mediawiki/services/jobrunner]: Skipping because of failed dependencies
==> default: Notice: /Stage[main]/Mediawiki::Jobrunner/Service::Gitupdate[jobrunner]/File[/etc/mw-vagrant/services/jobrunner.conf]: Dependency Exec[git_clone_mediawiki/core] has failures: true
==> default: Warning: /Stage[main]/Mediawiki::Jobrunner/Service::Gitupdate[jobrunner]/File[/etc/mw-vagrant/services/jobrunner.conf]: Skipping because of failed dependencies
==> default: Notice: /Stage[main]/Mediawiki::Jobrunner/Service::Gitupdate[jobchron]/File[/etc/mw-vagrant/services/jobchron.conf]: Dependency Exec[git_clone_mediawiki/core] has failures: true
==> default: Warning: /Stage[main]/Mediawiki::Jobrunner/Service::Gitupdate[jobchron]/File[/etc/mw-vagrant/services/jobchron.conf]: Skipping because of failed dependencies
==> default: Notice: /Stage[main]/Mediawiki::Jobrunner/Systemd::Service[jobrunner]/File[/lib/systemd/system/jobrunner.service]: Dependency Exec[git_clone_mediawiki/core] has failures: true
==> default: Warning: /Stage[main]/Mediawiki::Jobrunner/Systemd::Service[jobrunner]/File[/lib/systemd/system/jobrunner.service]: Skipping because of failed dependencies
==> default: Notice: /Stage[main]/Mediawiki::Jobrunner/Systemd::Service[jobrunner]/Exec[systemd reload for jobrunner]: Dependency Exec[git_clone_mediawiki/core] has failures: true
==> default: Warning: /Stage[main]/Mediawiki::Jobrunner/Systemd::Service[jobrunner]/Exec[systemd reload for jobrunner]: Skipping because of failed dependencies
==> default: Notice: /Stage[main]/Mediawiki::Jobrunner/Systemd::Service[jobrunner]/Service[jobrunner]: Dependency Exec[git_clone_mediawiki/core] has failures: true
==> default: Warning: /Stage[main]/Mediawiki::Jobrunner/Systemd::Service[jobrunner]/Service[jobrunner]: Skipping because of failed dependencies
==> default: Notice: /Stage[main]/Mediawiki::Jobrunner/Systemd::Service[jobchron]/File[/lib/systemd/system/jobchron.service]: Dependency Exec[git_clone_mediawiki/core] has failures: true
==> default: Warning: /Stage[main]/Mediawiki::Jobrunner/Systemd::Service[jobchron]/File[/lib/systemd/system/jobchron.service]: Skipping because of failed dependencies
==> default: Notice: /Stage[main]/Mediawiki::Jobrunner/Systemd::Service[jobchron]/Exec[systemd reload for jobchron]: Dependency Exec[git_clone_mediawiki/core] has failures: true
==> default: Warning: /Stage[main]/Mediawiki::Jobrunner/Systemd::Service[jobchron]/Exec[systemd reload for jobchron]: Skipping because of failed dependencies
==> default: Notice: /Stage[main]/Mediawiki::Jobrunner/Systemd::Service[jobchron]/Service[jobchron]: Dependency Exec[git_clone_mediawiki/core] has failures: true
==> default: Warning: /Stage[main]/Mediawiki::Jobrunner/Systemd::Service[jobchron]/Service[jobchron]: Skipping because of failed dependencies
==> default: Info: Creating state file /var/lib/puppet/state/state.yaml
==> default: Notice: Finished catalog run in 1039.59 seconds
The SSH command responded with a non-zero exit status. Vagrant
assumes that this means the command failed. The output for this command
should be in the log above. Please read the output to determine what
went wrong.
PS C:\Users\HOME MANSION\music\outreachy\vagrant>
Tgr added a comment.Oct 2 2017, 7:46 AM

@Sofmonk sorry, I should have been clearer, you need to install MediaWiki via git. (Or in any case the directory mediawiki/.git must exist; that's what the vagrant up installer uses to determine whether it should try to do the checkout.)

My bad, that should have struck me.
So shall I go for git clone https://gerrit.wikimedia.org/r/p/mediawiki/core.git ?

Tgr added a comment.Oct 2 2017, 8:39 AM

Yes, please try that.

Thanks a lot. It works !

Hi @Tgr !
I have installed Mediawiki( cloned it using git clone https://gerrit.wikimedia.org/r/p/mediawiki/core.git) in the vagrant folder but i am still encountering error. Localhost:8080 says "No Wiki Found". Log of Vagrant up command:-

==> default: Removing puppet created files...
    default: Are you sure you want to destroy the 'default' VM? [y/N] y
==> default: Forcing shutdown of VM...
==> default: Destroying VM and associated drives...
==> default: Pruning invalid NFS exports. Administrator privileges will be required...
kamsuri@kamsuri-Inspiron-3543:/opt/lampp/htdocs/mediawiki/vagrant$ vagrant up
Bringing machine 'default' up with 'virtualbox' provider...
==> default: Importing base box 'debian/contrib-jessie64'...
==> default: Matching MAC address for NAT networking...
==> default: Checking if box 'debian/contrib-jessie64' is up to date...
==> default: Setting the name of the VM: vagrant_default_1507208877109_46904
==> default: Clearing any previously set network interfaces...
==> default: Preparing network interfaces based on configuration...
    default: Adapter 1: nat
    default: Adapter 2: hostonly
==> default: Forwarding ports...
    default: 8080 (guest) => 8080 (host) (adapter 1)
    default: 443 (guest) => 4430 (host) (adapter 1)
    default: 22 (guest) => 2222 (host) (adapter 1)
==> default: Running 'pre-boot' VM customizations...
==> default: Booting VM...
==> default: Waiting for machine to boot. This may take a few minutes...
    default: SSH address: 127.0.0.1:2222
    default: SSH username: vagrant
    default: SSH auth method: private key
    default: 
    default: Vagrant insecure key detected. Vagrant will automatically replace
    default: this with a newly generated keypair for better security.
    default: 
    default: Inserting generated public key within guest...
    default: Removing insecure key from the guest if it's present...
    default: Key inserted! Disconnecting and reconnecting using new SSH key...
==> default: Machine booted and ready!
==> default: Checking for guest additions in VM...
    default: The guest additions on this VM do not match the installed version of
    default: VirtualBox! In most cases this is fine, but in rare cases it can
    default: prevent things such as shared folders from working properly. If you see
    default: shared folder errors, please make sure the guest additions within the
    default: virtual machine match the version of VirtualBox you have installed on
    default: your host and reload your VM.
    default: 
    default: Guest Additions Version: 4.3.36
    default: VirtualBox Version: 5.0
==> default: Setting hostname...
==> default: Configuring and enabling network interfaces...
==> default: Exporting NFS shared folders...
==> default: Preparing to edit /etc/exports. Administrator privileges will be required...
● nfs-server.service - NFS server and services
   Loaded: loaded (/lib/systemd/system/nfs-server.service; enabled; vendor preset: enabled)
   Active: active (exited) since Thu 2017-10-05 18:17:52 IST; 20min ago
  Process: 1013 ExecStart=/usr/sbin/rpc.nfsd $RPCNFSDARGS (code=exited, status=0/SUCCESS)
  Process: 1010 ExecStartPre=/usr/sbin/exportfs -r (code=exited, status=0/SUCCESS)
 Main PID: 1013 (code=exited, status=0/SUCCESS)
   CGroup: /system.slice/nfs-server.service

Oct 05 18:17:52 kamsuri-Inspiron-3543 systemd[1]: Starting NFS server and ser...
Oct 05 18:17:52 kamsuri-Inspiron-3543 systemd[1]: Started NFS server and serv...
Hint: Some lines were ellipsized, use -l to show in full.
==> default: Mounting NFS shared folders...
==> default: Running provisioner: lsb_check...
==> default: Running provisioner: shell...
    default: Running: /tmp/vagrant-shell20171005-5189-14lb4en.sh
==> default: stdin: is not a tty
==> default: Running provisioner: puppet...
==> default: Running Puppet with site.pp...
==> default: stdin: is not a tty
==> default: Info: Loading facts
==> default: Notice: Compiled catalog for vagrant.mediawiki-vagrant.dev in environment production in 4.90 seconds
==> default: Info: Applying configuration version '1507208999.no-git'
==> default: Notice: /Stage[main]/Apt/Exec[ins-apt-transport-https]/returns: executed successfully
==> default: Notice: /Stage[main]/Git::Gerrit/Sshkey[gerrit.wikimedia.org]/ensure: created
==> default: Notice: /Stage[main]/Mwv/Group[vagrant_share]/ensure: created
==> default: Notice: /Stage[main]/Mwv/User[vagrant_share]/ensure: created
==> default: Notice: /Stage[main]/Apt/File[/var/lib/apt/keys]/ensure: created
==> default: Notice: /Stage[main]/Apt/File[/etc/apt/apt.conf.d/20shared-cache]/ensure: defined content as '{md5}711fa2f2a913db3990e7beb15cf57b5b'
==> default: Notice: /Stage[main]/Apt/File[/etc/apt/apt.conf.d/01no-recommended]/ensure: defined content as '{md5}53ce69211afabdf3f0123353515e80f4'
==> default: Notice: /Stage[main]/Mwv/File[/etc/mw-vagrant]/ensure: created
==> default: Notice: /Stage[main]/Apache/File[/var/www]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Ready_service/File[/usr/local/bin/wait-for-mediawiki.sh]/ensure: created
==> default: Notice: /Stage[main]/Npm/Exec[npm_set_cache_dir]/returns: executed successfully
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/var/www/w]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/var/www/w/api.php]/ensure: defined content as '{md5}919aca53ba59eb6908a30dbbaecef793'
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/var/www/w/img_auth.php]/ensure: defined content as '{md5}919aca53ba59eb6908a30dbbaecef793'
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/var/www/w/index.php]/ensure: defined content as '{md5}919aca53ba59eb6908a30dbbaecef793'
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/var/www/w/load.php]/ensure: defined content as '{md5}919aca53ba59eb6908a30dbbaecef793'
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/var/www/w/opensearch_desc.php]/ensure: defined content as '{md5}919aca53ba59eb6908a30dbbaecef793'
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/var/www/w/thumb.php]/ensure: defined content as '{md5}919aca53ba59eb6908a30dbbaecef793'
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/var/www/w/thumb_handler.php]/ensure: defined content as '{md5}919aca53ba59eb6908a30dbbaecef793'
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/var/www/w/dblist.php]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/var/www/w/defines.php]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/var/www/w/missing.php]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/var/www/w/MWMultiVersion.php]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/var/www/w/MWScript.php]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/var/www/w/RunJobs.php]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/var/www/w/docs]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/var/www/w/extensions]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/var/www/w/resources]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/var/www/w/mw-config]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/var/www/w/skins]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/var/www/w/tests]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/var/www/w/COPYING]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/var/www/w/CREDITS]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/usr/local/bin/multiversion-install]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/usr/local/bin/mwscript]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/usr/local/bin/alldbs]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/usr/local/bin/foreachwiki]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/usr/local/bin/foreachwikiwithextension]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/usr/local/bin/wikihasextension]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Apache/File[/var/www/robots.txt]/ensure: defined content as '{md5}abe1c19ddc2b287ea9da1fc31584e439'
==> default: Notice: /Stage[main]/Mediawiki::Mwrepl/File[/usr/local/bin/mwrepl]/ensure: defined content as '{md5}5a1414d4e63fab8465655683533285af'
==> default: Notice: /Stage[main]/Mediawiki::Mwrepl/File[/usr/local/bin/hhvmsh]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Psysh/File[/home/vagrant/.config]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Psysh/File[/home/vagrant/.config/psysh]/ensure: created
==> default: Notice: /Stage[main]/Misc/File[/etc/profile.d/mediawiki-vagrant.sh]/ensure: defined content as '{md5}315eb070370a6fd06a535e1c1f35bf65'
==> default: Notice: /Stage[main]/Misc/File[/usr/local/sbin/isfresh]/ensure: defined content as '{md5}6fee8323b6bdd6afc7c37faa4491794a'
==> default: Notice: /Stage[main]/Misc/File[/etc/vim/vimrc.local]/ensure: defined content as '{md5}b193825082ff9faf65035880ce408c86'
==> default: Notice: /Stage[main]/Misc/File[/home/vagrant/.inputrc]/ensure: defined content as '{md5}ec198725d3bf44d9b9b76b9287ad12a6'
==> default: Notice: /Stage[main]/Misc/Exec[fix_root_profile]/returns: executed successfully
==> default: Notice: /Stage[main]/Mysql/File[/home/vagrant/.my.cnf]/ensure: defined content as '{md5}ef06fc0c2fb48af1df465c01df0f9634'
==> default: Notice: /Stage[main]/Puppet::Agent/Service[puppet]/ensure: ensure changed 'running' to 'stopped'
==> default: Notice: /Stage[main]/Apt/Apt::Repository[wikimedia]/File[/var/lib/apt/keys/wikimedia.gpg]/ensure: defined content as '{md5}39e2c3119a82a59d706317fce97a6bfc'
==> default: Info: /Stage[main]/Apt/Apt::Repository[wikimedia]/File[/var/lib/apt/keys/wikimedia.gpg]: Scheduling refresh of Exec[/usr/bin/apt-key add /var/lib/apt/keys/wikimedia.gpg]
==> default: Notice: /Stage[main]/Apt/Apt::Repository[wikimedia]/Exec[/usr/bin/apt-key add /var/lib/apt/keys/wikimedia.gpg]: Triggered 'refresh' from 1 events
==> default: Notice: /Stage[main]/Apt/Apt::Repository[wikimedia]/Exec[apt-wikimedia-sources]/returns: executed successfully
==> default: Notice: /Stage[main]/Apt/Apt::Repository[wikimedia]/File[/etc/apt/sources.list.d/wikimedia.list]/ensure: created
==> default: Info: /Stage[main]/Apt/Apt::Repository[wikimedia]/File[/etc/apt/sources.list.d/wikimedia.list]: Scheduling refresh of Exec[apt-get update]
==> default: Notice: /Stage[main]/Apt/Apt::Repository[debian-backports]/Exec[apt-debian-backports-sources]/returns: executed successfully
==> default: Notice: /Stage[main]/Apt/Apt::Repository[debian-backports]/File[/etc/apt/sources.list.d/debian-backports.list]/ensure: created
==> default: Info: /Stage[main]/Apt/Apt::Repository[debian-backports]/File[/etc/apt/sources.list.d/debian-backports.list]: Scheduling refresh of Exec[apt-get update]
==> default: Notice: /Stage[main]/Apt/Apt::Repository[mwv-apt]/File[/etc/apt/sources.list.d/mwv-apt.list]/ensure: created
==> default: Info: /Stage[main]/Apt/Apt::Repository[mwv-apt]/File[/etc/apt/sources.list.d/mwv-apt.list]: Scheduling refresh of Exec[apt-get update]
==> default: Notice: /Stage[main]/Apt/Apt::Pin[wikimedia]/File[/etc/apt/preferences.d/wikimedia.pref]/ensure: created
==> default: Info: /Stage[main]/Apt/Apt::Pin[wikimedia]/File[/etc/apt/preferences.d/wikimedia.pref]: Scheduling refresh of Exec[apt-get update]
==> default: Notice: /Stage[main]/Git/Apt::Pin[git]/File[/etc/apt/preferences.d/git.pref]/ensure: created
==> default: Info: /Stage[main]/Git/Apt::Pin[git]/File[/etc/apt/preferences.d/git.pref]: Scheduling refresh of Exec[apt-get update]
==> default: Notice: /Stage[main]/Apache/Misc::Evergreen[apache2]/Exec[check_apache2_freshness]/returns: executed successfully
==> default: Info: /Stage[main]/Apache/Misc::Evergreen[apache2]/Exec[check_apache2_freshness]: Scheduling refresh of Service[apache2]
==> default: Notice: /Stage[main]/Php::Composer/Env::Var[COMPOSER_CACHE_DIR]/File[/etc/profile.d/set_COMPOSER_CACHE_DIR.sh]/ensure: created
==> default: Notice: /Stage[main]/Php::Composer/Env::Profile_script[add composer global bin to path]/File[/etc/profile.d/50-add-composer-global-bin-to-path.sh]/ensure: created
==> default: Notice: /Stage[main]/Arcanist/Env::Profile_script[add arcanist bin to path]/File[/etc/profile.d/50-add-arcanist-bin-to-path.sh]/ensure: created
==> default: Notice: /Stage[main]/Npm/Apt::Repository[nodesource]/File[/var/lib/apt/keys/nodesource.gpg]/ensure: defined content as '{md5}003b51a89a133b5db4cca98b2dea3117'
==> default: Info: /Stage[main]/Npm/Apt::Repository[nodesource]/File[/var/lib/apt/keys/nodesource.gpg]: Scheduling refresh of Exec[/usr/bin/apt-key add /var/lib/apt/keys/nodesource.gpg]
==> default: Notice: /Stage[main]/Npm/Apt::Repository[nodesource]/File[/etc/apt/sources.list.d/nodesource.list]/ensure: created
==> default: Info: /Stage[main]/Npm/Apt::Repository[nodesource]/File[/etc/apt/sources.list.d/nodesource.list]: Scheduling refresh of Exec[apt-get update]
==> default: Notice: /Stage[main]/Npm/Apt::Repository[nodesource]/Exec[/usr/bin/apt-key add /var/lib/apt/keys/nodesource.gpg]: Triggered 'refresh' from 1 events
==> default: Notice: /Stage[main]/Npm/Apt::Pin[nodejs]/File[/etc/apt/preferences.d/nodejs.pref]/ensure: created
==> default: Info: /Stage[main]/Npm/Apt::Pin[nodejs]/File[/etc/apt/preferences.d/nodejs.pref]: Scheduling refresh of Exec[apt-get update]
==> default: Notice: /Stage[main]/Apt/Exec[apt-get update]/returns: executed successfully
==> default: Notice: /Stage[main]/Apt/Exec[apt-get update]: Triggered 'refresh' from 7 events
==> default: Notice: /Stage[main]/Git/Package[git]/ensure: ensure changed 'purged' to 'present'
==> default: Notice: /Stage[main]/Git::Gerrit/Exec[gitreview.username]/returns: executed successfully
==> default: Notice: /Stage[main]/Packages::Anacron/Package[anacron]/ensure: ensure changed 'purged' to 'present'
==> default: Notice: /Stage[main]/Packages::Build_essential/Package[build-essential]/ensure: ensure changed 'purged' to 'present'
==> default: Notice: /Stage[main]/Packages::Gdb/Package[gdb]/ensure: ensure changed 'purged' to 'present'
==> default: Notice: /Stage[main]/Packages::Python_dev/Package[python-dev]/ensure: ensure changed 'purged' to 'present'
==> default: Notice: /Stage[main]/Packages::Ruby_dev/Package[ruby-dev]/ensure: ensure changed 'purged' to 'present'
==> default: Notice: /Stage[main]/Mwv::Packages/Package[python-pip]/ensure: ensure changed 'purged' to 'present'
==> default: Notice: /Stage[main]/Git/Package[git-review]/ensure: created
==> default: Notice: /Stage[main]/Mwv::Cachefilesd/Package[cachefilesd]/ensure: ensure changed 'purged' to 'present'
==> default: Notice: /Stage[main]/Mwv::Cachefilesd/File[/etc/default/cachefilesd]/content: content changed '{md5}f470125dbe9aae183fbf9c1b2744d4a2' to '{md5}8c589c891f31441be7939f743d452d19'
==> default: Info: /Stage[main]/Mwv::Cachefilesd/File[/etc/default/cachefilesd]: Scheduling refresh of Service[cachefilesd]
==> default: Notice: /Stage[main]/Mwv::Cachefilesd/Service[cachefilesd]: Triggered 'refresh' from 1 events
==> default: Notice: /Stage[main]/Apache/Package[apache2]/ensure: ensure changed 'purged' to 'present'
==> default: Notice: /Stage[main]/Apache::Mod::Php5/Package[libapache2-mod-php5]/ensure: ensure changed 'purged' to 'present'
==> default: Notice: /Stage[main]/Apache/File[/etc/apache2/ports.conf]/content: content changed '{md5}a961f23471d985c2b819b652b7f64321' to '{md5}99595fa56043c8ef840d69304c74e33b'
==> default: Info: /Stage[main]/Apache/File[/etc/apache2/ports.conf]: Scheduling refresh of Service[apache2]
==> default: Notice: /Stage[main]/Apache/File[/etc/apache2/conf-available/charset.conf]/ensure: removed
==> default: Notice: /Stage[main]/Apache/File[/etc/apache2/conf-available/javascript-common.conf]/ensure: removed
==> default: Notice: /Stage[main]/Apache/File[/etc/apache2/conf-available/localized-error-pages.conf]/ensure: removed
==> default: Notice: /Stage[main]/Apache/File[/etc/apache2/conf-available/other-vhosts-access-log.conf]/ensure: removed
==> default: Notice: /Stage[main]/Apache/File[/etc/apache2/conf-available/security.conf]/ensure: removed
==> default: Notice: /Stage[main]/Apache/File[/etc/apache2/conf-available/serve-cgi-bin.conf]/ensure: removed
==> default: Info: /etc/apache2/conf-available: Scheduling refresh of Service[apache2]
==> default: Notice: /Stage[main]/Apache/File[/etc/apache2/conf-enabled/charset.conf]/ensure: removed
==> default: Notice: /Stage[main]/Apache/File[/etc/apache2/conf-enabled/localized-error-pages.conf]/ensure: removed
==> default: Notice: /Stage[main]/Apache/File[/etc/apache2/conf-enabled/other-vhosts-access-log.conf]/ensure: removed
==> default: Notice: /Stage[main]/Apache/File[/etc/apache2/conf-enabled/security.conf]/ensure: removed
==> default: Notice: /Stage[main]/Apache/File[/etc/apache2/conf-enabled/serve-cgi-bin.conf]/ensure: removed
==> default: Info: /etc/apache2/conf-enabled: Scheduling refresh of Service[apache2]
==> default: Notice: /Stage[main]/Apache/File[/etc/apache2/env-available]/ensure: created
==> default: Info: /Stage[main]/Apache/File[/etc/apache2/env-available]: Scheduling refresh of Service[apache2]
==> default: Notice: /Stage[main]/Apache/File[/etc/apache2/env-enabled]/ensure: created
==> default: Info: /Stage[main]/Apache/File[/etc/apache2/env-enabled]: Scheduling refresh of Service[apache2]
==> default: Notice: /Stage[main]/Apache/File[/etc/apache2/sites-available/000-default.conf]/ensure: removed
==> default: Notice: /Stage[main]/Apache/File[/etc/apache2/sites-available/default-ssl.conf]/ensure: removed
==> default: Info: /etc/apache2/sites-available: Scheduling refresh of Service[apache2]
==> default: Notice: /Stage[main]/Apache/File[/etc/apache2/sites-enabled/000-default.conf]/ensure: removed
==> default: Info: /etc/apache2/sites-enabled: Scheduling refresh of Service[apache2]
==> default: Notice: /Stage[main]/Apache/File[/etc/apache2/site-confs]/ensure: created
==> default: Info: /Stage[main]/Apache/File[/etc/apache2/site-confs]: Scheduling refresh of Service[apache2]
==> default: Notice: /Stage[main]/Apache/File[/etc/apache2/envvars]/content: content changed '{md5}331419cf134c3cdce519b0d0f151cbc9' to '{md5}adf14ad862398d9eaab25c196ffb4f40'
==> default: Notice: /Stage[main]/Apache/File[/etc/apache2/envvars]/owner: owner changed 'root' to 'vagrant'
==> default: Notice: /Stage[main]/Apache/File[/etc/apache2/envvars]/group: group changed 'root' to 'vagrant'
==> default: Notice: /Stage[main]/Apache/File[/etc/apache2/envvars]/mode: mode changed '0644' to '0664'
==> default: Info: /Stage[main]/Apache/File[/etc/apache2/envvars]: Scheduling refresh of Service[apache2]
==> default: Info: /Stage[main]/Apache/File[/etc/apache2/envvars]: Scheduling refresh of Service[apache2]
==> default: Info: /Stage[main]/Apache/File[/etc/apache2/envvars]: Scheduling refresh of Service[apache2]
==> default: Info: /Stage[main]/Apache/File[/etc/apache2/envvars]: Scheduling refresh of Service[apache2]
==> default: Notice: /Stage[main]/Php::Remote_debug/Package[php5-xdebug]/ensure: ensure changed 'purged' to 'present'
==> default: Notice: /Stage[main]/Php::Xhprof/Package[php5-xhprof]/ensure: ensure changed 'purged' to 'present'
==> default: Notice: /Stage[main]/Hhvm/Package[hhvm]/ensure: ensure changed 'purged' to 'latest'
==> default: Info: /Package[hhvm]: Scheduling refresh of Service[hhvm]
==> default: Notice: /Stage[main]/Hhvm/Package[hhvm-dev]/ensure: ensure changed 'purged' to 'latest'
==> default: Notice: /Stage[main]/Hhvm/Package[hhvm-luasandbox]/ensure: ensure changed 'purged' to 'latest'
==> default: Info: /Package[hhvm-luasandbox]: Scheduling refresh of Service[hhvm]
==> default: Notice: /Stage[main]/Hhvm/Package[hhvm-tidy]/ensure: ensure changed 'purged' to 'latest'
==> default: Info: /Package[hhvm-tidy]: Scheduling refresh of Service[hhvm]
==> default: Notice: /Stage[main]/Hhvm/Package[hhvm-wikidiff2]/ensure: ensure changed 'purged' to 'latest'
==> default: Info: /Package[hhvm-wikidiff2]: Scheduling refresh of Service[hhvm]
==> default: Notice: /Stage[main]/Hhvm/File[/etc/hhvm]/mode: mode changed '0755' to '0555'
==> default: Notice: /Stage[main]/Hhvm/File[/etc/hhvm/php.ini]/content: content changed '{md5}907676def0e613cabe1724b10ec5d82b' to '{md5}15f6bfbc3f1a9d0148f1e09fb2588e33'
==> default: Notice: /Stage[main]/Hhvm/File[/etc/hhvm/php.ini]/mode: mode changed '0644' to '0444'
==> default: Notice: /Stage[main]/Hhvm/File[/etc/hhvm/server.ini]/content: content changed '{md5}e0fbb8ecf04ab0de9b7d9e0b7fae514e' to '{md5}0cddb904dbd69be6818a830629faa575'
==> default: Notice: /Stage[main]/Hhvm/File[/etc/hhvm/server.ini]/mode: mode changed '0644' to '0444'
==> default: Info: /Stage[main]/Hhvm/File[/etc/hhvm/server.ini]: Scheduling refresh of Service[hhvm]
==> default: Info: /Stage[main]/Hhvm/File[/etc/hhvm/server.ini]: Scheduling refresh of Service[hhvm]
==> default: Notice: /Stage[main]/Hhvm/File[/etc/default/hhvm]/content: content changed '{md5}0ab40316d009ce8304461fb70dc1d5c7' to '{md5}6cbb3a562dc89c77e05dd4cb968bea25'
==> default: Notice: /Stage[main]/Hhvm/File[/etc/default/hhvm]/mode: mode changed '0644' to '0444'
==> default: Info: /Stage[main]/Hhvm/File[/etc/default/hhvm]: Scheduling refresh of Service[hhvm]
==> default: Info: /Stage[main]/Hhvm/File[/etc/default/hhvm]: Scheduling refresh of Service[hhvm]
==> default: Notice: /Stage[main]/Hhvm/File[/var/cache/hhvm/hhvm.hhbc]/mode: mode changed '0644' to '0666'
==> default: Notice: /Stage[main]/Hhvm/File[/var/cache/hhvm/fcgi.hhbc.sq3]/ensure: created
==> default: Notice: /Stage[main]/Npm/Package[nodejs]/ensure: ensure changed 'purged' to 'latest'
==> default: Notice: /Stage[main]/Npm/Exec[downgrade_npm]/returns: executed successfully
==> default: Notice: /Stage[main]/Mediawiki::Apache/File[/var/www/favicon.ico]/ensure: defined content as '{md5}b1d335c7c87c3d9b0693db6a5dc69d7b'
==> default: Notice: /Stage[main]/Mediawiki::Apache/File[/var/www/info.php]/ensure: defined content as '{md5}fb92f9147037f47dcf29c96dbc68154d'
==> default: Notice: /Stage[main]/Packages::Parallel/Package[parallel]/ensure: ensure changed 'purged' to 'present'
==> default: Notice: /Stage[main]/Postfix/Package[openssl]/ensure: ensure changed '1.0.1t-1+deb8u6' to '1.0.2k-1~wmf1'
==> default: Notice: /Stage[main]/Postfix/Package[postfix]/ensure: ensure changed 'purged' to 'present'
==> default: Notice: /Stage[main]/Postfix/File[/etc/postfix/main.cf]/content: content changed '{md5}06d2ebb5b0912712e2ee7a3f4d24cee3' to '{md5}487c1c7332edce2a3fa48c2a35c278db'
==> default: Notice: /Stage[main]/Postfix/File[/etc/postfix/main.cf]/mode: mode changed '0644' to '0444'
==> default: Info: /Stage[main]/Postfix/File[/etc/postfix/main.cf]: Scheduling refresh of Service[postfix]
==> default: Info: /Stage[main]/Postfix/File[/etc/postfix/main.cf]: Scheduling refresh of Service[postfix]
==> default: Notice: /Stage[main]/Postfix/File[/etc/postfix/virtual]/ensure: defined content as '{md5}284c63d3df11d7b4c3d945150840f050'
==> default: Info: /Stage[main]/Postfix/File[/etc/postfix/virtual]: Scheduling refresh of Exec[postmap_virtual]
==> default: Notice: /Stage[main]/Postfix/Exec[postmap_virtual]: Triggered 'refresh' from 1 events
==> default: Info: /Stage[main]/Postfix/Exec[postmap_virtual]: Scheduling refresh of Service[postfix]
==> default: Notice: /Stage[main]/Postfix/Service[postfix]: Triggered 'refresh' from 3 events
==> default: Notice: /Stage[main]/Misc/Package[ack-grep]/ensure: ensure changed 'purged' to 'present'
==> default: Notice: /Stage[main]/Misc/Package[curl]/ensure: ensure changed 'purged' to 'present'
==> default: Notice: /Stage[main]/Misc/Package[htop]/ensure: ensure changed 'purged' to 'present'
==> default: Notice: /Stage[main]/Misc/Package[jq]/ensure: ensure changed 'purged' to 'present'
==> default: Notice: /Stage[main]/Misc/Package[vim]/ensure: ensure changed 'purged' to 'present'
==> default: Notice: /Stage[main]/Misc/File[/etc/ackrc]/ensure: defined content as '{md5}744cd26afe93f6ae5e3f04cee2bbc188'
==> default: Notice: /Stage[main]/Mysql::Packages/Package[mysql-server]/ensure: ensure changed 'purged' to 'present'
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/usr/local/bin/sql]/ensure: created
==> default: Notice: /Stage[main]/Mysql/Exec[set_mysql_password]/returns: executed successfully
==> default: Notice: /Stage[main]/Redis/Package[redis-server]/ensure: ensure changed 'purged' to 'present'
==> default: Notice: /Stage[main]/Redis/File[/srv/redis]/ensure: created
==> default: Notice: /Stage[main]/Redis/File[/etc/redis/redis.conf]/content: content changed '{md5}6a5f1063d73772d2da819fc1c13f3354' to '{md5}dedc5a2ff609b5cceadc08307646ad54'
==> default: Info: /Stage[main]/Redis/File[/etc/redis/redis.conf]: Scheduling refresh of Service[redis-server]
==> default: Notice: /Stage[main]/Redis/Service[redis-server]: Triggered 'refresh' from 1 events
==> default: Notice: /Stage[main]/Redis::Php/Package[php5-redis]/ensure: ensure changed 'purged' to 'present'
==> default: Info: /Package[php5-redis]: Scheduling refresh of Service[apache2]
==> default: Notice: /Stage[main]/Packages::Php5_tidy/Package[php5-tidy]/ensure: ensure changed 'purged' to 'present'
==> default: Notice: /Stage[main]/Packages::Tidy/Package[tidy]/ensure: ensure changed 'purged' to 'present'
==> default: Notice: /Stage[main]/Packages::Mailutils/Package[mailutils]/ensure: ensure changed 'purged' to 'present'
==> default: Notice: /Stage[main]/Php/Package[php-auth-sasl]/ensure: ensure changed 'purged' to 'present'
==> default: Notice: /Stage[main]/Php/Package[php-mail]/ensure: ensure changed 'purged' to 'present'
==> default: Notice: /Stage[main]/Php/Package[php-mail-mime]/ensure: ensure changed 'purged' to 'present'
==> default: Notice: /Stage[main]/Php/Package[php-net-smtp]/ensure: ensure changed 'purged' to 'present'
==> default: Notice: /Stage[main]/Php/Package[php5]/ensure: ensure changed 'purged' to 'present'
==> default: Notice: /Stage[main]/Php/Package[php5-apcu]/ensure: ensure changed 'purged' to 'present'
==> default: Notice: /Stage[main]/Php::Composer/Exec[download_composer]/returns: executed successfully
==> default: Notice: /Stage[main]/Php::Composer/File[/usr/local/bin/composer]/group: group changed 'staff' to 'root'
==> default: Notice: /Stage[main]/Php::Composer/File[/usr/local/bin/composer]/mode: mode changed '0644' to '0755'
==> default: Notice: /Stage[main]/Php::Composer/Exec[update_composer]/returns: executed successfully
==> default: Notice: /Stage[main]/Php/Package[php5-curl]/ensure: ensure changed 'purged' to 'present'
==> default: Notice: /Stage[main]/Php/Package[php5-dev]/ensure: ensure changed 'purged' to 'present'
==> default: Notice: /Stage[main]/Php/Package[php5-gd]/ensure: ensure changed 'purged' to 'present'
==> default: Notice: /Stage[main]/Php/Package[php5-intl]/ensure: ensure changed 'purged' to 'present'
==> default: Notice: /Stage[main]/Php/Package[php5-mcrypt]/ensure: ensure changed 'purged' to 'present'
==> default: Notice: /Stage[main]/Php/Package[php5-mysql]/ensure: ensure changed 'purged' to 'present'
==> default: Notice: /Stage[main]/Php/Package[php5-readline]/ensure: ensure changed 'purged' to 'present'
==> default: Notice: /Stage[main]/Php/Package[php5-sqlite]/ensure: ensure changed 'purged' to 'present'
==> default: Notice: /Stage[main]/Php::Sessionclean/File[/usr/lib/php5/sessionclean]/content: content changed '{md5}a9dd2fc185d5b7f4902c8d45798e6962' to '{md5}276db24518797f29f6bc3584be30cb43'
==> default: Notice: /Stage[main]/Php::Sessionclean/File[/etc/cron.d/php5]/content: content changed '{md5}40ec2e28d690c9bba276061deaea25b7' to '{md5}b9084c861dc98e206fae69f7e3bad026'
==> default: Notice: /Stage[main]/Rsyslog/File[/etc/rsyslog.d/README]/ensure: defined content as '{md5}3d21c7747fe11d9e5679d67b5a212df1'
==> default: Notice: /Stage[main]/Rsyslog/File[/etc/rsyslog.d/postfix.conf]/ensure: removed
==> default: Info: /etc/rsyslog.d: Scheduling refresh of Service[rsyslog]
==> default: Notice: /Stage[main]/Apache/Rsyslog::Conf[apache]/File[/etc/rsyslog.d/40-apache.conf]/ensure: defined content as '{md5}a8d7f449c8ce1164b24d498420404ad1'
==> default: Info: /Stage[main]/Apache/Rsyslog::Conf[apache]/File[/etc/rsyslog.d/40-apache.conf]: Scheduling refresh of Service[rsyslog]
==> default: Notice: /Stage[main]/Php::Remote_debug/Php::Ini[remote_debug]/File[/etc/php5/mods-available/_remote_debug.ini]/ensure: defined content as '{md5}f1115221d2629974b905dc37476797a1'
==> default: Info: /Stage[main]/Php::Remote_debug/Php::Ini[remote_debug]/File[/etc/php5/mods-available/_remote_debug.ini]: Scheduling refresh of Service[apache2]
==> default: Info: /Stage[main]/Php::Remote_debug/Php::Ini[remote_debug]/File[/etc/php5/mods-available/_remote_debug.ini]: Scheduling refresh of Exec[/usr/sbin/php5enmod -s ALL _remote_debug]
==> default: Notice: /Stage[main]/Php::Remote_debug/Php::Ini[remote_debug]/Exec[/usr/sbin/php5enmod -s ALL _remote_debug]: Triggered 'refresh' from 1 events
==> default: Notice: /Stage[main]/Php::Xhprof/Php::Ini[xhprof_enable]/File[/etc/php5/mods-available/_xhprof_enable.ini]/ensure: defined content as '{md5}40b70aadb08cf59d6592d882a2381f01'
==> default: Info: /Stage[main]/Php::Xhprof/Php::Ini[xhprof_enable]/File[/etc/php5/mods-available/_xhprof_enable.ini]: Scheduling refresh of Service[apache2]
==> default: Info: /Stage[main]/Php::Xhprof/Php::Ini[xhprof_enable]/File[/etc/php5/mods-available/_xhprof_enable.ini]: Scheduling refresh of Exec[/usr/sbin/php5enmod -s ALL _xhprof_enable]
==> default: Notice: /Stage[main]/Php::Xhprof/Php::Ini[xhprof_enable]/Exec[/usr/sbin/php5enmod -s ALL _xhprof_enable]: Triggered 'refresh' from 1 events
==> default: Notice: /Stage[main]/Php/Php::Ini[debug_output]/File[/etc/php5/mods-available/_debug_output.ini]/ensure: defined content as '{md5}d063cce793713a4e99892c1076fcaa4c'
==> default: Info: /Stage[main]/Php/Php::Ini[debug_output]/File[/etc/php5/mods-available/_debug_output.ini]: Scheduling refresh of Service[apache2]
==> default: Info: /Stage[main]/Php/Php::Ini[debug_output]/File[/etc/php5/mods-available/_debug_output.ini]: Scheduling refresh of Exec[/usr/sbin/php5enmod -s ALL _debug_output]
==> default: Notice: /Stage[main]/Php/Php::Ini[debug_output]/Exec[/usr/sbin/php5enmod -s ALL _debug_output]: Triggered 'refresh' from 1 events
==> default: Notice: /Stage[main]/Php/Php::Ini[date_timezone]/File[/etc/php5/mods-available/_date_timezone.ini]/ensure: defined content as '{md5}51d20eabbc6359191860ec1b0dd8f43a'
==> default: Info: /Stage[main]/Php/Php::Ini[date_timezone]/File[/etc/php5/mods-available/_date_timezone.ini]: Scheduling refresh of Service[apache2]
==> default: Info: /Stage[main]/Php/Php::Ini[date_timezone]/File[/etc/php5/mods-available/_date_timezone.ini]: Scheduling refresh of Exec[/usr/sbin/php5enmod -s ALL _date_timezone]
==> default: Notice: /Stage[main]/Php/Php::Ini[date_timezone]/Exec[/usr/sbin/php5enmod -s ALL _date_timezone]: Triggered 'refresh' from 1 events
==> default: Notice: /Stage[main]/Php/Php::Ini[session_defaults]/File[/etc/php5/mods-available/_session_defaults.ini]/ensure: defined content as '{md5}7236471110ece2bbd4ff508af9030132'
==> default: Info: /Stage[main]/Php/Php::Ini[session_defaults]/File[/etc/php5/mods-available/_session_defaults.ini]: Scheduling refresh of Service[apache2]
==> default: Info: /Stage[main]/Php/Php::Ini[session_defaults]/File[/etc/php5/mods-available/_session_defaults.ini]: Scheduling refresh of Exec[/usr/sbin/php5enmod -s ALL _session_defaults]
==> default: Notice: /Stage[main]/Php/Php::Ini[session_defaults]/Exec[/usr/sbin/php5enmod -s ALL _session_defaults]: Triggered 'refresh' from 1 events
==> default: Notice: /Stage[main]/Php/Php::Ini[opcache_validate_timestamps]/File[/etc/php5/mods-available/_opcache_validate_timestamps.ini]/ensure: defined content as '{md5}d967cccdfe74b2a848a0741d66af10a4'
==> default: Info: /Stage[main]/Php/Php::Ini[opcache_validate_timestamps]/File[/etc/php5/mods-available/_opcache_validate_timestamps.ini]: Scheduling refresh of Service[apache2]
==> default: Info: /Stage[main]/Php/Php::Ini[opcache_validate_timestamps]/File[/etc/php5/mods-available/_opcache_validate_timestamps.ini]: Scheduling refresh of Exec[/usr/sbin/php5enmod -s ALL _opcache_validate_timestamps]
==> default: Notice: /Stage[main]/Php/Php::Ini[opcache_validate_timestamps]/Exec[/usr/sbin/php5enmod -s ALL _opcache_validate_timestamps]: Triggered 'refresh' from 1 events
==> default: Notice: /Stage[main]/Php/Php::Ini[opcache_revalidate_freq]/File[/etc/php5/mods-available/_opcache_revalidate_freq.ini]/ensure: defined content as '{md5}3374b27a6af73047a312d879c5430280'
==> default: Info: /Stage[main]/Php/Php::Ini[opcache_revalidate_freq]/File[/etc/php5/mods-available/_opcache_revalidate_freq.ini]: Scheduling refresh of Service[apache2]
==> default: Info: /Stage[main]/Php/Php::Ini[opcache_revalidate_freq]/File[/etc/php5/mods-available/_opcache_revalidate_freq.ini]: Scheduling refresh of Exec[/usr/sbin/php5enmod -s ALL _opcache_revalidate_freq]
==> default: Notice: /Stage[main]/Php/Php::Ini[opcache_revalidate_freq]/Exec[/usr/sbin/php5enmod -s ALL _opcache_revalidate_freq]: Triggered 'refresh' from 1 events
==> default: Notice: /Stage[main]/Apache::Mod::Proxy_fcgi/Apache::Mod_conf[proxy_fcgi]/Exec[ensure_present_mod_proxy_fcgi]/returns: executed successfully
==> default: Info: /Stage[main]/Apache::Mod::Proxy_fcgi/Apache::Mod_conf[proxy_fcgi]/Exec[ensure_present_mod_proxy_fcgi]: Scheduling refresh of Service[apache2]
==> default: Notice: /Stage[main]/Hhvm/Rsyslog::Conf[hhvm]/File[/etc/rsyslog.d/40-hhvm.conf]/ensure: created
==> default: Info: /Stage[main]/Hhvm/Rsyslog::Conf[hhvm]/File[/etc/rsyslog.d/40-hhvm.conf]: Scheduling refresh of Service[rsyslog]
==> default: Notice: /Stage[main]/Rsyslog/Service[rsyslog]: Triggered 'refresh' from 3 events
==> default: Notice: /Stage[main]/Npm/Env::Var[NPM_CONFIG_CACHE]/File[/etc/profile.d/set_NPM_CONFIG_CACHE.sh]/ensure: created
==> default: Notice: /Stage[main]/Service/File[/etc/mw-vagrant/services]/ensure: created
==> default: Notice: /Stage[main]/Service/File[/etc/mw-vagrant/services/.gitignore]/ensure: defined content as '{md5}d41d8cd98f00b204e9800998ecf8427e'
==> default: Notice: /Stage[main]/Arcanist/Service::Gitupdate[libphutil]/File[/etc/mw-vagrant/services/libphutil.conf]/ensure: created
==> default: Notice: /Stage[main]/Arcanist/Service::Gitupdate[arcanist]/File[/etc/mw-vagrant/services/arcanist.conf]/ensure: created
==> default: Notice: /Stage[main]/Apache::Mod::Rewrite/Apache::Mod_conf[rewrite]/Exec[ensure_present_mod_rewrite]/returns: executed successfully
==> default: Info: /Stage[main]/Apache::Mod::Rewrite/Apache::Mod_conf[rewrite]/Exec[ensure_present_mod_rewrite]: Scheduling refresh of Service[apache2]
==> default: Notice: /Stage[main]/Apache::Mod::Headers/Apache::Mod_conf[headers]/Exec[ensure_present_mod_headers]/returns: executed successfully
==> default: Info: /Stage[main]/Apache::Mod::Headers/Apache::Mod_conf[headers]/Exec[ensure_present_mod_headers]: Scheduling refresh of Service[apache2]
==> default: Notice: /Stage[main]/Apache/Apache::Conf[disable sendfile]/File[/etc/apache2/conf-available/50-disable-sendfile.conf]/ensure: created
==> default: Notice: /Stage[main]/Apache/Apache::Conf[disable sendfile]/File[/etc/apache2/conf-enabled/50-disable-sendfile.conf]/ensure: created
==> default: Info: /Stage[main]/Apache/Apache::Conf[disable sendfile]/File[/etc/apache2/conf-enabled/50-disable-sendfile.conf]: Scheduling refresh of Service[apache2]
==> default: Notice: /Stage[main]/Apache/Apache::Conf[errors to syslog]/File[/etc/apache2/conf-available/50-errors-to-syslog.conf]/ensure: created
==> default: Notice: /Stage[main]/Apache/Apache::Conf[errors to syslog]/File[/etc/apache2/conf-enabled/50-errors-to-syslog.conf]/ensure: created
==> default: Info: /Stage[main]/Apache/Apache::Conf[errors to syslog]/File[/etc/apache2/conf-enabled/50-errors-to-syslog.conf]: Scheduling refresh of Service[apache2]
==> default: Notice: /Stage[main]/Apache::Mod::Proxy_fcgi/Apache::Conf[fcgi_headers]/File[/etc/apache2/conf-available/00-fcgi-headers.conf]/ensure: defined content as '{md5}ea4ac38ac1e2779cb56d9fcfa0a194b2'
==> default: Notice: /Stage[main]/Apache::Mod::Proxy_fcgi/Apache::Conf[fcgi_headers]/File[/etc/apache2/conf-enabled/00-fcgi-headers.conf]/ensure: created
==> default: Info: /Stage[main]/Apache::Mod::Proxy_fcgi/Apache::Conf[fcgi_headers]/File[/etc/apache2/conf-enabled/00-fcgi-headers.conf]: Scheduling refresh of Service[apache2]
==> default: Notice: /Stage[main]/Hhvm/Apache::Site[hhvm_admin]/File[/etc/apache2/site-confs/hhvm-admin]/ensure: created
==> default: Notice: /Stage[main]/Hhvm/Apache::Site[hhvm_admin]/File[/etc/apache2/site-confs/hhvm-admin/00-default.conf]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Apache/Apache::Site[devwiki]/File[/etc/apache2/site-confs/devwiki]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Apache/Apache::Site[devwiki]/File[/etc/apache2/site-confs/devwiki/00-default.conf]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Apache/Apache::Site[php5-devwiki]/File[/etc/apache2/site-confs/php5-devwiki]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Apache/Apache::Site[php5-devwiki]/File[/etc/apache2/site-confs/php5-devwiki/00-default.conf]/ensure: created
==> default: Notice: /Stage[main]/Motd/File[/etc/update-motd.d]/ensure: created
==> default: Info: /Stage[main]/Motd/File[/etc/update-motd.d]: Scheduling refresh of Exec[update_motd]
==> default: Notice: /Stage[main]/Misc/Motd::Script[mediawiki_vagrant]/File[/etc/update-motd.d/50-mediawiki-vagrant]/ensure: defined content as '{md5}00d6415792acd96e9c10f4b9de7e3a00'
==> default: Info: /Stage[main]/Misc/Motd::Script[mediawiki_vagrant]/File[/etc/update-motd.d/50-mediawiki-vagrant]: Scheduling refresh of Exec[update_motd]
==> default: Notice: /Stage[main]/Motd/Exec[update_motd]: Triggered 'refresh' from 2 events
==> default: Notice: /Stage[main]/Misc/Env::Profile_script[xdebug]/File[/etc/profile.d/50-xdebug.sh]/ensure: created
==> default: Notice: /Stage[main]/Hhvm/Apache::Site[hhvm_admin]/Apache::Conf[hhvm-admin]/File[/etc/apache2/sites-available/50-hhvm-admin.conf]/ensure: created
==> default: Notice: /Stage[main]/Hhvm/Apache::Site[hhvm_admin]/Apache::Conf[hhvm-admin]/File[/etc/apache2/sites-enabled/50-hhvm-admin.conf]/ensure: created
==> default: Info: /Stage[main]/Hhvm/Apache::Site[hhvm_admin]/Apache::Conf[hhvm-admin]/File[/etc/apache2/sites-enabled/50-hhvm-admin.conf]: Scheduling refresh of Service[apache2]
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/vagrant/settings.d/wikis]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/vagrant/settings.d/wikis/CommonSettings.php]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/vagrant/settings.d/wikis/LoadWgConf.php]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/vagrant/settings.d/wikis/dbConf]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/vagrant/settings.d/wikis/dbConf/README]/ensure: defined content as '{md5}b224338c33cb68b1f152834e2ce2c066'
==> default: Notice: /Stage[main]/Mediawiki/File[/var/cache/mediawiki]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki/File[/srv/pages]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki/File[/srv/pages/wiki]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki/File[/var/www/mediawiki-vagrant.png]/ensure: defined content as '{md5}f9afb7d19e39247820bc1e81883a96f7'
==> default: Notice: /Stage[main]/Mediawiki/File[/var/www/mediawiki-vagrant-1.5x.png]/ensure: defined content as '{md5}d89a336d6c075341e62bcf1ec809d30c'
==> default: Notice: /Stage[main]/Mediawiki/File[/var/www/mediawiki-vagrant-2x.png]/ensure: defined content as '{md5}e06017705f63d9b9ad24576a1bfee4a3'
==> default: Notice: /Stage[main]/Mediawiki/File[/usr/local/bin/run-mediawiki-tests]/ensure: defined content as '{md5}cb1918d4464e50c256399b91c411bb05'
==> default: Notice: /Stage[main]/Mediawiki/File[/usr/local/bin/run-git-update]/ensure: defined content as '{md5}37bb8ec404ce58eb151e097e1d4f2640'
==> default: Notice: /Stage[main]/Mediawiki/File[/usr/local/bin/import-mediawiki-dump]/ensure: defined content as '{md5}73c7466d52c526eea51d4f196eefb86d'
==> default: Notice: /Stage[main]/Mediawiki/File[/usr/local/bin/export-mediawiki-dump]/ensure: defined content as '{md5}120b3201898c77d4fb846e7ab557a46a'
==> default: Notice: /Stage[main]/Mediawiki/File[/vagrant/settings.d/composer]/ensure: created
==> default: Info: /Stage[main]/Mediawiki/File[/vagrant/settings.d/composer]: Scheduling refresh of Exec[composer update /vagrant/mediawiki]
==> default: Notice: /Stage[main]/Mediawiki/File[/etc/logrotate.d/mediawiki_shared_log_groups]/ensure: defined content as '{md5}f9b47a4c9043d00f163ec44d2d502c11'
==> default: Notice: /Stage[main]/Mediawiki/Git::Clone[mediawiki/core]/File[/vagrant/mediawiki]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki/Git::Clone[mediawiki/core]/Exec[git_clone_mediawiki/core]/returns: Cloning into '/vagrant/mediawiki'...
==> default: Notice: /Stage[main]/Mediawiki/Git::Clone[mediawiki/core]/Exec[git_clone_mediawiki/core]/returns: fatal: Out of memory, malloc failed (tried to allocate 2098576000 bytes)
==> default: Error: /usr/bin/git -c http.postBuffer=2098576000 clone --recurse-submodules  --branch 'master' --single-branch https://gerrit.wikimedia.org/r/p/mediawiki/core.git /vagrant/mediawiki returned 128 instead of one of [0]
==> default: Error: /Stage[main]/Mediawiki/Git::Clone[mediawiki/core]/Exec[git_clone_mediawiki/core]/returns: change from notrun to 0 failed: /usr/bin/git -c http.postBuffer=2098576000 clone --recurse-submodules  --branch 'master' --single-branch https://gerrit.wikimedia.org/r/p/mediawiki/core.git /vagrant/mediawiki returned 128 instead of one of [0]
==> default: Notice: /Stage[main]/Mediawiki/File[/vagrant/mediawiki/composer.local.json]: Dependency Exec[git_clone_mediawiki/core] has failures: true
==> default: Warning: /Stage[main]/Mediawiki/File[/vagrant/mediawiki/composer.local.json]: Skipping because of failed dependencies
==> default: Notice: /Stage[main]/Mediawiki/Env::Var[MW_INSTALL_PATH]/File[/etc/profile.d/set_MW_INSTALL_PATH.sh]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki/Php::Composer::Install[/vagrant/mediawiki]/Exec[composer-install--vagrant-mediawiki]: Dependency Exec[git_clone_mediawiki/core] has failures: true
==> default: Warning: /Stage[main]/Mediawiki/Php::Composer::Install[/vagrant/mediawiki]/Exec[composer-install--vagrant-mediawiki]: Skipping because of failed dependencies
==> default: Notice: /Stage[main]/Mediawiki/Exec[composer update /vagrant/mediawiki]: Dependency Exec[git_clone_mediawiki/core] has failures: true
==> default: Warning: /Stage[main]/Mediawiki/Exec[composer update /vagrant/mediawiki]: Skipping because of failed dependencies
==> default: Error: /Stage[main]/Mediawiki/Exec[composer update /vagrant/mediawiki]: Failed to call refresh: Working directory '/vagrant/mediawiki' does not exist
==> default: Error: /Stage[main]/Mediawiki/Exec[composer update /vagrant/mediawiki]: Working directory '/vagrant/mediawiki' does not exist
==> default: Notice: /Stage[main]/Mediawiki/Env::Profile_script[add mediawiki vendor bin to path]/File[/etc/profile.d/50-add-mediawiki-vendor-bin-to-path.sh]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/Mysql::Db[wikishared]/Mysql::Sql[create database wikishared ]/Exec[create database wikishared ]/returns: executed successfully
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/Mysql::User[wikiadmin]/Mysql::Sql[create user wikiadmin]/Exec[create user wikiadmin]/returns: executed successfully
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/Mysql::User[extensionadmin]/Mysql::Sql[create user extensionadmin]/Exec[create user extensionadmin]/returns: executed successfully
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/File[/srv/images]: Dependency Exec[git_clone_mediawiki/core] has failures: true
==> default: Warning: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/File[/srv/images]: Skipping because of failed dependencies
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/File[/var/cache/mediawiki/devwiki]: Dependency Exec[git_clone_mediawiki/core] has failures: true
==> default: Warning: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/File[/var/cache/mediawiki/devwiki]: Skipping because of failed dependencies
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/Exec[update_wiki_database]: Dependency Exec[git_clone_mediawiki/core] has failures: true
==> default: Warning: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/Exec[update_wiki_database]: Skipping because of failed dependencies
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/File[/vagrant/settings.d/wikis/dbConf/10-wiki-dbConf.php]: Dependency Exec[git_clone_mediawiki/core] has failures: true
==> default: Warning: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/File[/vagrant/settings.d/wikis/dbConf/10-wiki-dbConf.php]: Skipping because of failed dependencies
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/File[/vagrant/settings.d/wikis/wiki]: Dependency Exec[git_clone_mediawiki/core] has failures: true
==> default: Warning: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/File[/vagrant/settings.d/wikis/wiki]: Skipping because of failed dependencies
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/File[/vagrant/settings.d/wikis/wiki/wgConf.php]: Dependency Exec[git_clone_mediawiki/core] has failures: true
==> default: Warning: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/File[/vagrant/settings.d/wikis/wiki/wgConf.php]: Skipping because of failed dependencies
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/File[/etc/logrotate.d/mediawiki_wiki_debug_log]: Dependency Exec[git_clone_mediawiki/core] has failures: true
==> default: Warning: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/File[/etc/logrotate.d/mediawiki_wiki_debug_log]: Skipping because of failed dependencies
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/File[/vagrant/settings.d/wikis/wiki/settings.d]: Dependency Exec[git_clone_mediawiki/core] has failures: true
==> default: Warning: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/File[/vagrant/settings.d/wikis/wiki/settings.d]: Skipping because of failed dependencies
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/File[/vagrant/settings.d/wikis/wiki/settings.d/puppet-managed]: Dependency Exec[git_clone_mediawiki/core] has failures: true
==> default: Warning: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/File[/vagrant/settings.d/wikis/wiki/settings.d/puppet-managed]: Skipping because of failed dependencies
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/File[/vagrant/settings.d/wikis/wiki/settings.d/puppet-managed/README]: Dependency Exec[git_clone_mediawiki/core] has failures: true
==> default: Warning: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/File[/vagrant/settings.d/wikis/wiki/settings.d/puppet-managed/README]: Skipping because of failed dependencies
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/File[/srv/pages/wiki/wiki]: Dependency Exec[git_clone_mediawiki/core] has failures: true
==> default: Warning: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/File[/srv/pages/wiki/wiki]: Skipping because of failed dependencies
==> default: Notice: /Stage[main]/Mediawiki::Apache/Apache::Site[devwiki]/Apache::Conf[devwiki]/File[/etc/apache2/sites-available/50-devwiki.conf]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Apache/Apache::Site[devwiki]/Apache::Conf[devwiki]/File[/etc/apache2/sites-enabled/50-devwiki.conf]/ensure: created
==> default: Info: /Stage[main]/Mediawiki::Apache/Apache::Site[devwiki]/Apache::Conf[devwiki]/File[/etc/apache2/sites-enabled/50-devwiki.conf]: Scheduling refresh of Service[apache2]
==> default: Notice: /Stage[main]/Mediawiki::Apache/Apache::Site[php5-devwiki]/Apache::Conf[php5-devwiki]/File[/etc/apache2/sites-available/50-php5-devwiki.conf]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Apache/Apache::Site[php5-devwiki]/Apache::Conf[php5-devwiki]/File[/etc/apache2/sites-enabled/50-php5-devwiki.conf]/ensure: created
==> default: Info: /Stage[main]/Mediawiki::Apache/Apache::Site[php5-devwiki]/Apache::Conf[php5-devwiki]/File[/etc/apache2/sites-enabled/50-php5-devwiki.conf]: Scheduling refresh of Service[apache2]
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Skin[Vector]/Git::Clone[mediawiki/skins/Vector]/File[/vagrant/mediawiki/skins/Vector]: Dependency Exec[git_clone_mediawiki/core] has failures: true
==> default: Warning: /Stage[main]/Mediawiki/Mediawiki::Skin[Vector]/Git::Clone[mediawiki/skins/Vector]/File[/vagrant/mediawiki/skins/Vector]: Skipping because of failed dependencies
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Skin[Vector]/Git::Clone[mediawiki/skins/Vector]/Exec[git_clone_mediawiki/skins/Vector]: Dependency Exec[git_clone_mediawiki/core] has failures: true
==> default: Warning: /Stage[main]/Mediawiki/Mediawiki::Skin[Vector]/Git::Clone[mediawiki/skins/Vector]/Exec[git_clone_mediawiki/skins/Vector]: Skipping because of failed dependencies
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Skin[Vector]/Mediawiki::Settings[Vector]/File[/vagrant/settings.d/puppet-managed/10-Vector.php]: Dependency Exec[git_clone_mediawiki/core] has failures: true
==> default: Warning: /Stage[main]/Mediawiki/Mediawiki::Skin[Vector]/Mediawiki::Settings[Vector]/File[/vagrant/settings.d/puppet-managed/10-Vector.php]: Skipping because of failed dependencies
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/Mysql::Sql[wikiadmin_full_priv_wiki]/Exec[wikiadmin_full_priv_wiki]: Dependency Exec[git_clone_mediawiki/core] has failures: true
==> default: Warning: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/Mysql::Sql[wikiadmin_full_priv_wiki]/Exec[wikiadmin_full_priv_wiki]: Skipping because of failed dependencies
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/Exec[wiki_setup]: Dependency Exec[git_clone_mediawiki/core] has failures: true
==> default: Warning: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/Exec[wiki_setup]: Skipping because of failed dependencies
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/Exec[wiki_include_extra_settings]: Dependency Exec[git_clone_mediawiki/core] has failures: true
==> default: Warning: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/Exec[wiki_include_extra_settings]: Skipping because of failed dependencies
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/Exec[wiki_copy_LocalSettings]: Dependency Exec[git_clone_mediawiki/core] has failures: true
==> default: Warning: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/Exec[wiki_copy_LocalSettings]: Skipping because of failed dependencies
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Main_Page]/File[/srv/pages/wiki/wiki/Main_Page]: Dependency Exec[git_clone_mediawiki/core] has failures: true
==> default: Warning: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Main_Page]/File[/srv/pages/wiki/wiki/Main_Page]: Skipping because of failed dependencies
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Template:Main_Page]/File[/srv/pages/wiki/wiki/Template:Main_Page]: Dependency Exec[git_clone_mediawiki/core] has failures: true
==> default: Warning: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Template:Main_Page]/File[/srv/pages/wiki/wiki/Template:Main_Page]: Skipping because of failed dependencies
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/Apache::Site_conf[devwiki_images]/File[/etc/apache2/site-confs/devwiki/50-devwiki-images.conf]: Dependency Exec[git_clone_mediawiki/core] has failures: true
==> default: Warning: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/Apache::Site_conf[devwiki_images]/File[/etc/apache2/site-confs/devwiki/50-devwiki-images.conf]: Skipping because of failed dependencies
==> default: Notice: /Stage[main]/Apache/Service[apache2]: Dependency Exec[git_clone_mediawiki/core] has failures: true
==> default: Warning: /Stage[main]/Apache/Service[apache2]: Skipping because of failed dependencies
==> default: Notice: /Stage[main]/Apache/Service[apache2]: Triggered 'refresh' from 30 events
==> default: Notice: /Stage[main]/Mediawiki::Ready_service/Systemd::Service[mediawiki-ready]/File[/lib/systemd/system/mediawiki-ready.service]: Dependency Exec[git_clone_mediawiki/core] has failures: true
==> default: Warning: /Stage[main]/Mediawiki::Ready_service/Systemd::Service[mediawiki-ready]/File[/lib/systemd/system/mediawiki-ready.service]: Skipping because of failed dependencies
==> default: Notice: /Stage[main]/Mediawiki::Ready_service/Systemd::Service[mediawiki-ready]/Exec[systemd reload for mediawiki-ready]: Dependency Exec[git_clone_mediawiki/core] has failures: true
==> default: Warning: /Stage[main]/Mediawiki::Ready_service/Systemd::Service[mediawiki-ready]/Exec[systemd reload for mediawiki-ready]: Skipping because of failed dependencies
==> default: Notice: /Stage[main]/Mediawiki::Ready_service/Systemd::Service[mediawiki-ready]/Service[mediawiki-ready]: Dependency Exec[git_clone_mediawiki/core] has failures: true
==> default: Warning: /Stage[main]/Mediawiki::Ready_service/Systemd::Service[mediawiki-ready]/Service[mediawiki-ready]: Skipping because of failed dependencies
==> default: Notice: /Stage[main]/Hhvm::Fcgi/Systemd::Service[hhvm]/File[/etc/systemd/system/hhvm.service.d]: Dependency Exec[git_clone_mediawiki/core] has failures: true
==> default: Warning: /Stage[main]/Hhvm::Fcgi/Systemd::Service[hhvm]/File[/etc/systemd/system/hhvm.service.d]: Skipping because of failed dependencies
==> default: Notice: /Stage[main]/Hhvm::Fcgi/Systemd::Service[hhvm]/File[/etc/systemd/system/hhvm.service.d/puppet-override.conf]: Dependency Exec[git_clone_mediawiki/core] has failures: true
==> default: Warning: /Stage[main]/Hhvm::Fcgi/Systemd::Service[hhvm]/File[/etc/systemd/system/hhvm.service.d/puppet-override.conf]: Skipping because of failed dependencies
==> default: Notice: /Stage[main]/Hhvm::Fcgi/Systemd::Service[hhvm]/Exec[systemd reload for hhvm]: Dependency Exec[git_clone_mediawiki/core] has failures: true
==> default: Warning: /Stage[main]/Hhvm::Fcgi/Systemd::Service[hhvm]/Exec[systemd reload for hhvm]: Skipping because of failed dependencies
==> default: Notice: /Stage[main]/Hhvm::Fcgi/Systemd::Service[hhvm]/Service[hhvm]: Dependency Exec[git_clone_mediawiki/core] has failures: true
==> default: Warning: /Stage[main]/Hhvm::Fcgi/Systemd::Service[hhvm]/Service[hhvm]: Skipping because of failed dependencies
==> default: Notice: /Stage[main]/Hhvm::Fcgi/Systemd::Service[hhvm]/Service[hhvm]: Triggered 'refresh' from 8 events
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Group[devwiki_suppress]/Mediawiki::Settings[devwiki_suppress_group]/File[/vagrant/settings.d/wikis/wiki/settings.d/puppet-managed/10-devwiki_suppress_group.php]: Dependency Exec[git_clone_mediawiki/core] has failures: true
==> default: Warning: /Stage[main]/Mediawiki/Mediawiki::Group[devwiki_suppress]/Mediawiki::Settings[devwiki_suppress_group]/File[/vagrant/settings.d/wikis/wiki/settings.d/puppet-managed/10-devwiki_suppress_group.php]: Skipping because of failed dependencies
==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]: Dependency Exec[git_clone_mediawiki/core] has failures: true
==> default: Warning: /Stage[main]/Mediawiki/Exec[update_all_databases]: Skipping because of failed dependencies
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::User[admin_user_in_steward_suppress_on_wiki]/Mediawiki::Maintenance[mediawiki_user_Admin_wiki]/Exec[mediawiki_user_Admin_wiki]: Dependency Exec[git_clone_mediawiki/core] has failures: true
==> default: Warning: /Stage[main]/Mediawiki/Mediawiki::User[admin_user_in_steward_suppress_on_wiki]/Mediawiki::Maintenance[mediawiki_user_Admin_wiki]/Exec[mediawiki_user_Admin_wiki]: Skipping because of failed dependencies
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::User[admin_user_in_steward_suppress_on_wiki]/Mediawiki::Maintenance[mediawiki_user_Admin_wiki_steward,suppress]/Exec[mediawiki_user_Admin_wiki_steward,suppress]: Dependency Exec[git_clone_mediawiki/core] has failures: true
==> default: Warning: /Stage[main]/Mediawiki/Mediawiki::User[admin_user_in_steward_suppress_on_wiki]/Mediawiki::Maintenance[mediawiki_user_Admin_wiki_steward,suppress]/Exec[mediawiki_user_Admin_wiki_steward,suppress]: Skipping because of failed dependencies
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Main_Page]/Mediawiki::Maintenance[add page devwiki/Main_Page]/Exec[add page devwiki/Main_Page]: Dependency Exec[git_clone_mediawiki/core] has failures: true
==> default: Warning: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Main_Page]/Mediawiki::Maintenance[add page devwiki/Main_Page]/Exec[add page devwiki/Main_Page]: Skipping because of failed dependencies
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Template:Main_Page]/Mediawiki::Maintenance[add page devwiki/Template:Main_Page]/Exec[add page devwiki/Template:Main_Page]: Dependency Exec[git_clone_mediawiki/core] has failures: true
==> default: Warning: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Template:Main_Page]/Mediawiki::Maintenance[add page devwiki/Template:Main_Page]/Exec[add page devwiki/Template:Main_Page]: Skipping because of failed dependencies
==> default: Notice: /Stage[main]/Mediawiki::Jobrunner/File[/etc/default/jobrunner]: Dependency Exec[git_clone_mediawiki/core] has failures: true
==> default: Warning: /Stage[main]/Mediawiki::Jobrunner/File[/etc/default/jobrunner]: Skipping because of failed dependencies
==> default: Notice: /Stage[main]/Mediawiki::Jobrunner/File[/etc/jobrunner.json]: Dependency Exec[git_clone_mediawiki/core] has failures: true
==> default: Warning: /Stage[main]/Mediawiki::Jobrunner/File[/etc/jobrunner.json]: Skipping because of failed dependencies
==> default: Notice: /Stage[main]/Mediawiki::Jobrunner/File[/etc/logrotate.d/mediawiki_jobrunner]: Dependency Exec[git_clone_mediawiki/core] has failures: true
==> default: Warning: /Stage[main]/Mediawiki::Jobrunner/File[/etc/logrotate.d/mediawiki_jobrunner]: Skipping because of failed dependencies
==> default: Notice: /Stage[main]/Mediawiki::Jobrunner/File[/etc/logrotate.d/mediawiki_jobchron]: Dependency Exec[git_clone_mediawiki/core] has failures: true
==> default: Warning: /Stage[main]/Mediawiki::Jobrunner/File[/etc/logrotate.d/mediawiki_jobchron]: Skipping because of failed dependencies
==> default: Notice: /Stage[main]/Mediawiki::Jobrunner/Git::Clone[mediawiki/services/jobrunner]/File[/vagrant/srv/jobrunner]: Dependency Exec[git_clone_mediawiki/core] has failures: true
==> default: Warning: /Stage[main]/Mediawiki::Jobrunner/Git::Clone[mediawiki/services/jobrunner]/File[/vagrant/srv/jobrunner]: Skipping because of failed dependencies
==> default: Notice: /Stage[main]/Mediawiki::Jobrunner/Git::Clone[mediawiki/services/jobrunner]/Exec[git_clone_mediawiki/services/jobrunner]: Dependency Exec[git_clone_mediawiki/core] has failures: true
==> default: Warning: /Stage[main]/Mediawiki::Jobrunner/Git::Clone[mediawiki/services/jobrunner]/Exec[git_clone_mediawiki/services/jobrunner]: Skipping because of failed dependencies
==> default: Notice: /Stage[main]/Mediawiki::Jobrunner/Service::Gitupdate[jobrunner]/File[/etc/mw-vagrant/services/jobrunner.conf]: Dependency Exec[git_clone_mediawiki/core] has failures: true
==> default: Warning: /Stage[main]/Mediawiki::Jobrunner/Service::Gitupdate[jobrunner]/File[/etc/mw-vagrant/services/jobrunner.conf]: Skipping because of failed dependencies
==> default: Notice: /Stage[main]/Mediawiki::Jobrunner/Service::Gitupdate[jobchron]/File[/etc/mw-vagrant/services/jobchron.conf]: Dependency Exec[git_clone_mediawiki/core] has failures: true
==> default: Warning: /Stage[main]/Mediawiki::Jobrunner/Service::Gitupdate[jobchron]/File[/etc/mw-vagrant/services/jobchron.conf]: Skipping because of failed dependencies
==> default: Notice: /Stage[main]/Mediawiki::Jobrunner/Systemd::Service[jobrunner]/File[/lib/systemd/system/jobrunner.service]: Dependency Exec[git_clone_mediawiki/core] has failures: true
==> default: Warning: /Stage[main]/Mediawiki::Jobrunner/Systemd::Service[jobrunner]/File[/lib/systemd/system/jobrunner.service]: Skipping because of failed dependencies
==> default: Notice: /Stage[main]/Mediawiki::Jobrunner/Systemd::Service[jobrunner]/Exec[systemd reload for jobrunner]: Dependency Exec[git_clone_mediawiki/core] has failures: true
==> default: Warning: /Stage[main]/Mediawiki::Jobrunner/Systemd::Service[jobrunner]/Exec[systemd reload for jobrunner]: Skipping because of failed dependencies
==> default: Notice: /Stage[main]/Mediawiki::Jobrunner/Systemd::Service[jobrunner]/Service[jobrunner]: Dependency Exec[git_clone_mediawiki/core] has failures: true
==> default: Warning: /Stage[main]/Mediawiki::Jobrunner/Systemd::Service[jobrunner]/Service[jobrunner]: Skipping because of failed dependencies
==> default: Notice: /Stage[main]/Mediawiki::Jobrunner/Systemd::Service[jobchron]/File[/lib/systemd/system/jobchron.service]: Dependency Exec[git_clone_mediawiki/core] has failures: true
==> default: Warning: /Stage[main]/Mediawiki::Jobrunner/Systemd::Service[jobchron]/File[/lib/systemd/system/jobchron.service]: Skipping because of failed dependencies
==> default: Notice: /Stage[main]/Mediawiki::Jobrunner/Systemd::Service[jobchron]/Exec[systemd reload for jobchron]: Dependency Exec[git_clone_mediawiki/core] has failures: true
==> default: Warning: /Stage[main]/Mediawiki::Jobrunner/Systemd::Service[jobchron]/Exec[systemd reload for jobchron]: Skipping because of failed dependencies
==> default: Notice: /Stage[main]/Mediawiki::Jobrunner/Systemd::Service[jobchron]/Service[jobchron]: Dependency Exec[git_clone_mediawiki/core] has failures: true
==> default: Warning: /Stage[main]/Mediawiki::Jobrunner/Systemd::Service[jobchron]/Service[jobchron]: Skipping because of failed dependencies
==> default: Info: Creating state file /var/lib/puppet/state/state.yaml
==> default: Notice: Finished catalog run in 382.63 seconds
The SSH command responded with a non-zero exit status. Vagrant
assumes that this means the command failed. The output for this command
should be in the log above. Please read the output to determine what
went wrong.
Tgr added a comment.Oct 5 2017, 9:51 PM

@Kamsuri sounds like your git clone ended up in the wrong place. It should be at <vagrant dir>/mediawiki (specifically the installer checks for the existence of <vagrant dir>/mediawiki/.git before trying to clone on its own). git clone would create a subdirectory by default so maybe that's what happened.

Thanks @Tgr, it's resolved.

Change 382942 had a related patch set uploaded (by Gergő Tisza; owner: Gergő Tisza):
[mediawiki/vagrant@master] [WIP] Use GitHub to clone MediaWiki

https://gerrit.wikimedia.org/r/382942

Change 382942 merged by jenkins-bot:
[mediawiki/vagrant@master] Use GitHub to clone MediaWiki

https://gerrit.wikimedia.org/r/382942

Since 382942 was merged, is this task resolved?

Tgr closed this task as Resolved.Feb 19 2018, 7:38 PM
Tgr claimed this task.

Haven't encountered this lately, let's call it fixed.

I very often get this error but usually only when cloning the extension UniversalLanguageSelector from gerrit. Sometimes it works after a few tries, often it doesn't:

I get:

Cloning into 'UniversalLanguageSelector'...
error: RPC failed; curl 56 GnuTLS recv error (-110): The TLS connection was non-properly terminated.
fatal: The remote end hung up unexpectedly
fatal: early EOF
fatal: index-pack failed

My workaround is to clone from Github.

Tgr added a comment.May 15 2018, 10:21 AM

@Dan.mulholland if you want to contribute a permanent fix, you could try setting temp_remote for the ULS role (as in the patch above). You'd have add that parameter to mediawiki::extension and make it pass it to git::clone.